<?php
/*
 * Ṳ̄ξФδؿ򽸤
 */


function getTeacherLecNameFromGid ($groupid) {
	if (!is_numeric($groupid)) return false;

	$teacher_lec_name = array();

	global $xoopsDB;

	$sql = "SELECT ut.name AS teacher_name, gt.name AS lecg_name FROM ";
	$sql .= USER_TBL." AS ut, ".CLASS_TEA_TBL." AS ctt, ".CLASS_TBL." AS gt";
	$sql .= " WHERE ut.uid = ctt.uid AND ctt.groupid = gt.groupid AND gt.groupid =";
	$sql .= $groupid;

	$res = $xoopsDB->query($sql);


	if (!$res) {

		return false;
	}

	while($row = $xoopsDB->fetchArray($res)){
		$teacher_lec_name=$row;
	}

	return $teacher_lec_name;
}

function getGroupNameFromGid ($groupid) {
	if (!is_numeric($groupid)) return false;
	global $xoopsDB;

	$groupname = "";
	$sql ="SELECT name FROM ".CLASS_TBL." WHERE groupid=".$groupid;
	$res = $xoopsDB->query($sql);

	if (!$res) {
		return false;
	}

	while($row = $xoopsDB->fetchArray($res)){
		$groupname = $row["name"];
	}
	return $groupname;
}

class CTakenTime {
	//μȤλ֤ˡ̤μȤˤǤϿƤ桼
	var $gid="";

	var $student_id_arr = array();
	var $student_id_csv="";
	var $teacher_id_arr = array();
	var $teacher_id_csv="";

	var $weekday_lec_time_arr=array();
	var $start_period_arr = array();

	var $err_msg="";

	function CTakenTime () {

	}

	function getErrMsg () {
		return $this->err_msg;
	}

	function setWeekDayLecTimeArr ($gid="") {
		global $xoopsDB;

		if (!is_numeric($gid)) {
			return false;
		}
		$this->gid = $gid;
		$weekday_lec_time_arr = array();
		$sql = "SELECT weekday, lec_time FROM ".GROUP_TIME_LINK_TBL." WHERE groupid = ".$gid;

		$res = $xoopsDB->query($sql);

		while($row = $xoopsDB->fetchArray($res)){
			array_push($weekday_lec_time_arr,$row);
		}
		$this->weekday_lec_time_arr= $weekday_lec_time_arr;
		return true;
	}

	function setStartPeriodArr () {

		if (!is_numeric($this->gid)) {
			return false;
		}
		global $xoopsDB;

		$start_period_arr=array();

		$sql = "SELECT start_mon, period FROM ".SUBJECT_GROUP_LINK_TBL. " WHERE groupid = ".$this->gid;

		$res = $xoopsDB->query($sql);

		while($row = $xoopsDB->fetchArray($res)){
			array_push($start_period_arr,$row);
		}

		$this->start_period_arr = $start_period_arr;

		return true;
	}

	function setStudentIdArr () {
		$uid_arr = array();

		if (!is_numeric($this->gid)) {
			return false;
		}
		if (count($this->weekday_lec_time_arr) == 0 || count($this->start_period_arr) == 0) {
			//оݤλ֤̤
			return true;
		}

		global $xoopsDB;

		$sql = "SELECT DISTINCT cst.uid FROM ".GROUP_TIME_LINK_TBL." AS gtlt, ".CLASS_SU_TBL." AS cst ";
		$sql .= ", ".SUBJECT_GROUP_LINK_TBL." AS sglt ";

		$sql .= "WHERE sglt.groupid = cst.groupid AND cst.groupid = gtlt.groupid AND cst.groupid <> ".$this->gid." AND (";

		foreach($this->weekday_lec_time_arr as $rec) {
			$sql .= "(gtlt.weekday = ".intval($rec["weekday"])." AND gtlt.lec_time=";
			$sql .= intval($rec["lec_time"]).") OR";
		}
		$sql = substr($sql, 0,-3);
		$sql .= ") AND (";

		foreach ($this->start_period_arr as $datedata) {
			$end_mon = date("Ym", strtotime(substr($datedata["start_mon"],0,4)."/".substr($datedata["start_mon"],4,2)."/01 + ".$datedata["period"]." week"));
			$start_date ="'".substr($datedata["start_mon"],0,4)."-".substr($datedata["start_mon"],4,2)."-01 00:00:00'";

			$sql .= "(sglt.start_mon < ".$end_mon." AND sglt.start_mon > DATE_FORMAT( DATE_ADD( ".$start_date." , INTERVAL - sglt.period WEEK ) , '%Y%m' )";
			$sql .= ") OR";

		}
		$sql = substr($sql, 0,-3);
		$sql .= ")";
//echo $sql;
		$res = $xoopsDB->query($sql);

		while($row = $xoopsDB->fetchArray($res)){
			array_push($uid_arr,$row["uid"]);
		}

		$this->student_id_arr = $uid_arr;
		return true;
	}

	function getStudentIdArr () {
		return $this->student_id_arr;
	}

	function setStudentIdCsv () {
		$student_id_csv="";


		if (!is_numeric($this->gid)) {
			return false;
		}
		if (count($this->weekday_lec_time_arr) == 0 || count($this->start_period_arr) == 0) {
			//оݤλ֤̤
			return true;
		}

		global $xoopsDB;

		$sql = "SELECT cst.uid FROM ".GROUP_TIME_LINK_TBL." AS gtlt, ".CLASS_SU_TBL." AS cst ";



		$sql .= "WHERE cst.groupid = gtlt.groupid AND cst.groupid <> ".$this->gid." AND (";

		foreach($this->weekday_lec_time_arr as $rec) {
			$sql .= "(gtlt.weekday = ".intval($rec["weekday"])." AND gtlt.lec_time=";
			$sql .= intval($rec["lec_time"]).") OR";
		}
		$sql = substr($sql, 0,-3);
		$sql .= ")";

		$res = $xoopsDB->query($sql);

		while($row = $xoopsDB->fetchArray($res)){
			$student_id_csv .= $row["uid"].",";

		}

		if ($student_id_csv<>"") $student_id_csv = substr($student_id_csv,0,-1);

		$this->student_id_csv = $student_id_csv;
		return true;


	}

	function getStudentIdCsv () {
		return $this->student_id_csv;
	}

	function setTeacherIdArr () {
		$teacher_id_arr = array();

		if (!is_numeric($this->gid)) {
			return false;
		}

		if (count($this->weekday_lec_time_arr) == 0 || count($this->start_period_arr) == 0) {
			//оݤλ֤̤
			return true;
		}
/*
		global $xoopsDB;

		//2016/5/1Х
		$sql = "SELECT ctt.uid FROM ".GROUP_TIME_LINK_TBL." AS gtlt, ".CLASS_TEA_TBL." AS ctt ";
		//subject_group_linkɬ
		//$sql .= ", ".SUBJECT_GROUP_LINK_TBL." AS sglt ";

		$sql .= "WHERE ctt.groupid = gtlt.groupid AND ctt.groupid <> ".$this->gid." AND (";

		foreach($this->weekday_lec_time_arr as $rec) {
			$sql .= "(gtlt.weekday = ".intval($rec["weekday"])." AND gtlt.lec_time=";
			$sql .= intval($rec["lec_time"]).") OR";
		}
		$sql = substr($sql, 0,-3);
		$sql .= ")";



*/


		global $xoopsDB;

		$sql = "SELECT DISTINCT cst.uid FROM ".GROUP_TIME_LINK_TBL." AS gtlt, ".CLASS_TEA_TBL." AS cst ";
		$sql .= ", ".SUBJECT_GROUP_LINK_TBL." AS sglt ";

		$sql .= "WHERE sglt.groupid = cst.groupid AND cst.groupid = gtlt.groupid AND cst.groupid <> ".$this->gid." AND (";

		foreach($this->weekday_lec_time_arr as $rec) {
			$sql .= "(gtlt.weekday = ".intval($rec["weekday"])." AND gtlt.lec_time=";
			$sql .= intval($rec["lec_time"]).") OR";
		}
		$sql = substr($sql, 0,-3);
		$sql .= ") AND (";

		foreach ($this->start_period_arr as $datedata) {
			$end_mon = date("Ym", strtotime(substr($datedata["start_mon"],0,4)."/".substr($datedata["start_mon"],4,2)."/01 + ".$datedata["period"]." week"));
			$start_date ="'".substr($datedata["start_mon"],0,4)."-".substr($datedata["start_mon"],4,2)."-01 00:00:00'";

			$sql .= "(sglt.start_mon <= ".$end_mon." AND sglt.start_mon > DATE_FORMAT( DATE_ADD( ".$start_date." , INTERVAL - sglt.period WEEK ) , '%Y%m' )";
			$sql .= ") OR";

		}
		$sql = substr($sql, 0,-3);
		$sql .= ")";

		$res = $xoopsDB->query($sql);

		while($row = $xoopsDB->fetchArray($res)){
			array_push($teacher_id_arr,$row["uid"]);
		}

		$this->teacher_id_arr = $teacher_id_arr;
		return true;
	}

	function getTeacherIdArr() {
		return $this->teacher_id_arr;
	}

	function setTeacherIdCsv () {
		$teacher_id_csv="";


		if (!is_numeric($this->gid)) {
			return false;
		}
		if (count($this->weekday_lec_tiem_arr) == 0 || count($this->start_period_arr) == 0) {
			//оݤλ֤̤
			return true;
		}

		global $xoopsDB;

		$sql = "SELECT ctt.uid FROM ".GROUP_TIME_LINK_TBL." AS gtlt, ".CLASS_TEA_TBL." AS ctt ";
		$sql .= "WHERE ctt.groupid = gtlt.groupid AND ctt.groupid <> ".$this->gid." AND (";

		foreach($this->weekday_lec_tiem_arr as $rec) {
			$sql .= "(gtlt.weekday = ".intval($rec["weekday"])." AND gtlt.lec_time=";
			$sql .= intval($rec["lec_time"]).") OR";
		}
		$sql = substr($sql, 0,-3);
		$sql .= ")";

		$res = $xoopsDB->query($sql);

		while($row = $xoopsDB->fetchArray($res)){
			$teacher_id_csv .= $row["uid"].",";

		}

		if ($teacher_id_csv<>"") $teacher_id_csv = substr($teacher_id_csv,0,-1);

		$this->teacher_id_csv = $teacher_id_csv;
		return true;


	}

	function getTeacherIdCsv () {
		return $this->teacher_id_csv;
	}

	function checkCanTakeStu ($student_id) {

		//true֤Сǽ
		if (!is_numeric($student_id)) {
			$this->err_msg = "Parameter Error student id";

			return false;
		}

		if (in_array($student_id, $this->student_id_arr)) {
			return false;
		}

		return true;

	}

	function checkCanTakeTea ($teacher_id) {
		//true֤Сǽ
		if (!is_numeric($teacher_id)) {
			$this->err_msg = "Parameter Error teacher id";
			return false;
		}

		if (in_array($teacher_id,$this->teacher_id_arr)) {
			return false;
		}

		return true;
	}

}

class CCourseCreditRegistUser {
//ñ̤

	var $is_end_arr = array();
	var $set_credit_button="";
	var $credit_arr = array();
	var $gid;
	var $uid;
	var $err_msg="";
	var $get_credit;
	//var $subject_id;
	var $eval;
	var $sel_make_obj;
	var $regist_button="";

	function CCourseCreditRegistUser () {

	}

	function main ($gid, $uid) {

		if (!is_numeric($gid)) {
			$this->err_msg = "Group ID Error";

			return false;
		}

		if (!is_numeric($uid)) {
			$this->err_msg = "User ID Error";
			return false;
		}
		$this->gid = $gid;
		$this->uid=$uid;
		$this->sel_make_obj = new CSelectMaker();
		$this->sel_make_obj->setSelName("credit");
		$this->setCreditArr();
		$this->sel_make_obj->setItemArr($this->credit_arr);
		$this->setIsEndedArr();

		return true;

	}

	function getErrMsg () {

		return $this->err_msg;
	}

	function setBasicInfo ($subject_id) {

		if (!is_numeric($subject_id)) return false;

		//$this->subject_id = $subject_id;
		global $xoopsDB;

		$sql="SELECT * FROM ".REGISTED_CLASS_TBL." WHERE subject_id =".$subject_id." AND uid=".$this->uid;
		$res = $xoopsDB->query($sql);

		if (!$res) return false;

		while ($row = $xoopsDB->fetchArray($res)) {
			$this->get_credit = $row["get_credit"];
			$this->eval = $row["eval"];
		}

		return true;
	}

	function setIsEndedArr () {

		//˴֤᤮ƤǤ

		$is_ended_arr = array();
		if (!is_numeric($this->gid)) {
			return false;
		}

		global $xoopsDB;

		$sql = "SELECT subject_id, start_mon, period FROM ".SUBJECT_GROUP_LINK_TBL. " WHERE groupid = ".$this->gid;

		$res = $xoopsDB->query($sql);

		if (!$res) {
			return false;
		}


		while($row = $xoopsDB->fetchArray($res)){
//			if (date("Ym",time() - ($row["period"]*60*60*24*7)) > $row["start_mon"]) {
			if (date("Ym",time() - ($row["period"]*60*60*24*7)) >= $row["start_mon"]) {
				//ѹ
				array_push($is_ended_arr, $row["subject_id"]);
			}
		}

		$this->is_end_arr = $is_ended_arr;

		return true;

	}

	function getIsEndedArr () {
		return $this->is_end_arr;
	}

	function setCreditArr () {
		$credit_arr = array();

		global $xoopsDB;

		$sql = "SELECT * FROM ".CREDIT_TBL." ORDER BY grade DESC";

		$res = $xoopsDB->query($sql);

		if (!$res) return false;
		while($row = $xoopsDB->fetchArray($res)){
			$credit_arr[$row["credit_id"]] = $row["credit_name"];
		}


		$this->credit_arr = $credit_arr;
		return true;
	}

	function getCreditArr () {
		return $this->credit_arr;
	}


	function setCreditSetButton ($subject_id, $action_link,$linkid) {
		if (!is_numeric($subject_id)) {
			return false;
		}
		if (!is_numeric($this->uid)) {
			return false;
		}
		if (!is_numeric($linkid)) {
			return false;
		}


		if (count($this->credit_arr) == 0) {
			$this->credit_set_button = "NO CREDIT DATA";
			return true;
		}



		global $xoopsDB;
		$credit_set_button="";

		if (in_array($subject_id, $this->is_end_arr)) {
			$credit_set_button = "<form action='".htmlspecialchars_decode($action_link,3)."' method='POST'>";
			$credit_set_button .= "<input type='hidden' name='credit_set_flag' value='1'/>";
			$credit_set_button .= "<input type='hidden' name='groupid' value='".intval($this->gid)."'/>";
			$credit_set_button .= "<input type='hidden' name='subject_id' value='".intval($subject_id)."'/>";
			$credit_set_button .= "<input type='hidden' name='linkid' value='".intval($linkid)."'/>";

			$this->sel_make_obj->setSelected($this->get_credit);
			$credit_set_button .= $this->sel_make_obj->getPullDown();
			$credit_set_button .= "<input type='submit' value='";


			$credit_set_button.=_MI_U_SOLOMON_COMMON_GOT_CREDIT;

			$credit_set_button .= "'/></form>";
		}



		$this->credit_set_button=$credit_set_button;
		return true;

	}

	function getCrediSetButton () {

		return $this->credit_set_button;
	}

	function setRegistButton ($subject_id, $action_link, $is_registed) {

		if (!is_numeric($subject_id) || !is_numeric($is_registed)) {
			return false;
		}

		$regist_button="";

		if (isset($this->is_end_arr[$subject_id])) {

			return true;
		}

		$regist_button = "<form method='get' action='".htmlspecialchars($action_link,3);
		$regist_button .= "'><input type='submit' value='";

		if ($is_registed == 1) {
			$regist_button.=_MI_U_SOLOMON_STUDENT_ATEND_LEC_BUTTON;

		} else {


			$regist_button.=_MI_U_SOLOMON_STUDENT_NOATEND_LEC_BUTTON;
		}

		$regist_button.="'/><input type='hidden' name='reg_input_flag' value='";
		$regist_button.=$is_registed."'/>";

		$regist_button.="<input type='hidden' name='groupid' value='";
		$regist_button.=$this->gid."'/>";


		$regist_button.= "<input type='hidden' name='subject_id' value='".$subject_id;
		$regist_button.= "'/></form>";



		$this->regist_button = $regist_button;
		return true;
	}

	function getRegistButton () {
		return $this->regist_button;

	}

	function setCreditExe ($credit,$subject_id,$linkid) {
		//2016/8/10add

		if (SELF_REGIST == 0) {
			$this->err_msg = "change-credit does not allowed";
			return false;
		}
		if (!is_numeric($credit)) {
			$this->err_msg = "Parameter Error Credit";
			return false;
		}

		if (!is_numeric($subject_id)) {
			$this->err_msg = "Parameter Error Subjectid";
			return false;
		}

		if (!is_numeric($linkid)) {
			$this->err_msg = "Parameter Error Linkid";
			return false;
		}

		if (!is_numeric($this->uid)) {
			$this->err_msg = "Parameter Error uid";
			return false;
		}

		global $xoopsDB;

		$sql = "UPDATE ".REGISTED_CLASS_TBL." SET get_credit = ".$credit.", update_time=now() ";
		$sql .= "WHERE uid =".$this->uid." AND group_user_link=".$linkid." AND subject_id = ".$subject_id;

		if (!$xoopsDB->query($sql)) {
			$this->err_msg = "SQL ERROR";
//			echo $sql;
			return false;
		}


		return true;
	}
}

class CCourseCreditRegistTeacher {

	var $is_end_arr = array();
	var $set_credit_button="";
	var $credit_arr = array();
	var $gid;
//	var $uid;
	var $err_msg="";
//	var $get_credit;
	var $subject_id;
//	var $eval;
	var $sel_make_obj;
	var $regist_button="";

	var $basic_arr = array();

	function CCourseCreditRegistTeacher () {

	}

	function main ($gid) {

		if (!is_numeric($gid)) {
			$this->err_msg = "Group ID Error";

			return false;
		}


		$this->gid = $gid;
		$this->sel_make_obj = new CSelectMaker();
		$this->sel_make_obj->setSelName("credit");
		$this->setCreditArr();
		$this->sel_make_obj->setItemArr($this->credit_arr);
		$this->setIsEndedArr();

		return true;

	}

	function getErrMsg () {

		return $this->err_msg;
	}

	function setBasicInfo ($subject_id) {

		if (!is_numeric($subject_id)) return false;

		//$this->subject_id = $subject_id;
		global $xoopsDB;

		$basic_arr= array();

		$sql="SELECT * FROM ".REGISTED_CLASS_TBL." WHERE subject_id =".$subject_id;
		$res = $xoopsDB->query($sql);

		if (!$res) return false;

		while ($row = $xoopsDB->fetchArray($res)) {
			$basic_arr[$row["uid"]]["get_credit"] = $row["get_credit"];
			$basic_arr[$row["uid"]]["eval"] = $row["eval"];
		}
		$this->basic_arr = $basic_arr;
		return true;
	}

	function setIsEndedArr () {

		//˴֤᤮ƤǤ

		$is_ended_arr = array();
		if (!is_numeric($this->gid)) {
			return false;
		}

		global $xoopsDB;

		$sql = "SELECT subject_id, start_mon, period FROM ".SUBJECT_GROUP_LINK_TBL. " WHERE groupid = ".$this->gid;

		$res = $xoopsDB->query($sql);

		if (!$res) {
			return false;
		}

		while($row = $xoopsDB->fetchArray($res)){
			if (date("Ym",time() - ($row["period"]*60*60*24*7)) >= $row["start_mon"]) {
				//2017/4/3
				array_push($is_ended_arr, $row["subject_id"]);

			}
		}

		$this->is_end_arr = $is_ended_arr;

		return true;

	}

	function getIsEndedArr () {
		return $this->is_end_arr;
	}

	function setCreditArr () {
		$credit_arr = array();

		global $xoopsDB;

		$sql = "SELECT * FROM ".CREDIT_TBL." ORDER BY grade DESC";

		$res = $xoopsDB->query($sql);

		if (!$res) return false;
		while($row = $xoopsDB->fetchArray($res)){
			$credit_arr[$row["credit_id"]] = $row["credit_name"];
		}


		$this->credit_arr = $credit_arr;
		return true;
	}

	function getCreditArr () {
		return $this->credit_arr;
	}


	function setCreditSetButton ($subject_id, $action_link, $uid, $linkid, $get_credit="") {
		if (!is_numeric($subject_id)) {
			return false;
		}
		if (!is_numeric($uid)) {
			return false;
		}

		if (!is_numeric($linkid)) {
			return false;
		}

		if (!in_array($subject_id, $this->is_end_arr)) {
			return true;
		}


		if (count($this->credit_arr) == 0) {
			$this->credit_set_button = "NO CREDIT DATA";
			return true;
		}

		//global $xoopsDB;
		$credit_set_button="";

		if (in_array($subject_id, $this->is_end_arr)) {
			$credit_set_button = "<form action='".htmlspecialchars_decode($action_link,3)."' method='POST'>";
			$credit_set_button .= "<input type='hidden' name='credit_set_flag' value='1'/>";
			$credit_set_button .= "<input type='hidden' name='gid' value='".intval($this->gid)."'/>";
			$credit_set_button .= "<input type='hidden' name='subject_id' value='".intval($subject_id)."'/>";

			$credit_set_button .= "<input type='hidden' name='uid' value='".intval($uid)."'/>";
			$credit_set_button .= "<input type='hidden' name='linkid' value='".intval($linkid)."'/>";

/*
			if (isset($this->basic_arr[$uid]) && isset($this->basic_arr[$uid]["get_credit"])) {
				$this->sel_make_obj->setSelected($this->basic_arr[$uid]["get_credit"]);

				$credit_set_button .= "<input type='hidden' action_type='update'/>";
			} else {
				$this->sel_make_obj->setSelected("");
				$credit_set_button .= "<input type='hidden' action_type='insert'/>";

			}

*/
			//2016/8/9edit
			$this->sel_make_obj->setSelected($get_credit);


			$credit_set_button .= $this->sel_make_obj->getPullDown();
			$credit_set_button .= "<input type='submit' value='";


			$credit_set_button.=_MI_U_SOLOMON_COMMON_GOT_CREDIT;

			$credit_set_button .= "'/></form>";
		}



		$this->credit_set_button=$credit_set_button;
		return true;

	}

	function getCrediSetButton () {

		return $this->credit_set_button;
	}

	function setRegistButton ($subject_id, $action_link, $is_registed) {

		if (!is_numeric($subject_id) || !is_numeric($is_registed)) {
			return false;
		}
		$regist_button="";

		if (isset($this->is_end_arr[$subject_id])) {

			return true;
		}

		$regist_button = "<form method='get' action='".htmlspecialchars($action_link,3);
		$regist_button .= "'><input type='submit' value='";

		if ($is_registed == 1) {
			$regist_button.=_MI_U_SOLOMON_STUDENT_ATEND_LEC_BUTTON;

		} else {


			$regist_button.=_MI_U_SOLOMON_STUDENT_NOATEND_LEC_BUTTON;
		}

		$regist_button.="'/><input type='hidden' name='reg_input_flag' value='";
		$regist_button.=$is_registed."'/>";

		$regist_button.="<input type='hidden' name='groupid' value='";
		$regist_button.=$this->gid."'/>";


		$regist_button.= "<input type='hidden' name='subject_id' value='".$subject_id;
		$regist_button.= "'/></form>";



		$this->regist_button = $regist_button;
		return true;
	}

	function getRegistButton () {
		return $this->regist_button;

	}

}

function isRightTeaForUser ($tid,$uid,$gid) {
	//ʶƤΤå
	if (!is_numeric($tid) || !is_numeric($uid) || !is_numeric($gid)) {
		return false;
	}

	global $xoopsDB;
	$sql = "SELECT * FROM ".CLASS_TEA_TBL." AS ctt, ".CLASS_SU_TBL." AS cst WHERE ctt.groupid = cst.groupid AND ";
	$sql .= "cst.groupid =".$gid." AND ctt.uid=".$tid." AND cst.uid =".$uid;


	$res=$xoopsDB->query($sql);
	if (!$res) {
		false;
	}

	while ($row=$xoopsDB->fetchArray($res)) {
		return true;
	}
	return false;

}

function getRecCalsStatus () {
	//쥳ɤλо򸫤
	global $xoopsDB;
	$sql="SELECT * FROM ".REC_CALC_STATUS_TBL." ORDER BY start_time DESC LIMIT 1";

	$res=$xoopsDB->query($sql);

	$status=0;

	while ($row=$xoopsDB->fetchArray($res)) {
		$atatus = $row["status"];
	}
	return $status;

}

function isRightAdminLogin ($uname, $pass) {
	//ԥ桼ݤĴ٤
	global $xoopsDB;

	$sql= "SELECT * FROM ".USER_TBL." WHERE uname='".mysql_real_escape_string($uname)."' AND pass='".md5($pass)."' AND rank=7";
	$res=$xoopsDB->query($sql);
	while ($row=$xoopsDB->fetchArray($res)) {
		return true;
	}
	return false;


}

function isAlreadyGottenSub ($uid, $groupid) {
	//ñ̼ѤߤΥݤĴ٤롢Ѥߤξå̤ξ礫ʸ

	if (!is_numeric($uid) || !is_numeric($groupid)) {
		return "Parameter Error";
	}

	$subject_id_csv = "";

	global $xoopsDB;
	$sql = "SELECT rct.subject_id FROM ".REGISTED_CLASS_TBL." AS rct, ".CREDIT_TBL." AS ct,".GU_LINK_TBL." AS glt WHERE ";
	$sql .="ct.credit_id = rct.get_credit AND rct.group_user_link=glt.linkid AND ct.is_pass = 1 AND rct.uid =".$uid;
	$sql .= " AND glt.groupid <> ".$groupid;
	$res=$xoopsDB->query($sql);

	$already_gotten_msg="";

	while ($row=$xoopsDB->fetchArray($res)) {
		//array_push($subject_id_arr, $row["subject_id"]);
		//$subject_id_csv .= $row["subject_id"].",";
		$sql2 ="SELECT st.subject_id, st.subject_name FROM ".SUBJECT_GROUP_LINK_TBL." AS sglt, ".SUBJECT_TBL." AS st WHERE sglt.groupid = ".$groupid;
		$sql2 .=" AND st.subject_id = sglt.subject_id AND sglt.subject_id =".$row["subject_id"];
//cho $sql2;
		$res2=$xoopsDB->query($sql2);
		while ($row=$xoopsDB->fetchArray($res2)) {
			$already_gotten_msg .=htmlspecialchars($row["subject_name"],3)._MI_U_SOLOMON_COMMON_ALREADY_GOT_SUBJECT."<br/>";
		}
	}
	/*
	if ($subject_id_csv <> "") {

		$sql ="SELECT st.subject_id, st.subject_name FROM ".SUBJECT_GROUP_LINK_TBL." AS sglt, ".SUBJECT_TBL." AS st WHERE groupid = ".$groupid;
		$sql .=" st.subject_id = sglt.subject_id AND subject_id IN (".substr($subject_id_csv,0,-1).")";
		echo $sql;
		$res=$xoopsDB->query($sql);
		while ($row=$xoopsDB->fetchArray($res)) {
			$already_gotten_msg .=htmlspecialchars($row["subject_name"],3)._MI_U_SOLOMON_COMMON_ALREADY_GOT_SUBJECT."<br/>";
		}
	}
	*/
	return $already_gotten_msg;

}

function checkNome () {
	//ΡϢȤƤ뤫å
	$nome_exist = 0;
	global $xoopsDB;

	$sql = "SELECT * FROM ".$xoopsDB->prefix( 'modules' )." WHERE dirname='norm'";
	$res = $xoopsDB->query($sql);
	$nome_exist = 0;
	while($row = $xoopsDB->fetchArray($res)){
		$nome_exist = 1;
	}
	return $nome_exist;
}

function checkEfirt () {
	//ե꡼ȤȤϢȤå

	$ef_exist=0;
	global $xoopsDB;

	$sql = "SELECT * FROM ".$xoopsDB->prefix( 'modules' )." WHERE dirname='Ifrit'";
	$res = $xoopsDB->query($sql);
	$nome_exist = 0;
	while($row = $xoopsDB->fetchArray($res)){
		$ef_exist = 1;
	}
	return $ef_exist;
}
?>