<?php

class CMotiveRegister {

	var $err_msg = "";
	var $sql_arr = array();
	var $uid;

	function CMotiveRegister () {

	}

	function getErrMsg () {
		return $this->err_msg;
	}

	function setUid ($uid) {
		if(!is_numeric($uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}
		$this->uid = $uid;
		return true;

	}

	function checkPostedData ($posted_data) {
		//Ϥιפ10ˤʤäƤ뤫å

		$sql_arr =array();
		$total_points = 0;

		if (!is_array($posted_data)) {
			$this->err_msg = "Registed Data Type Err";
			return false;
		}

		if (!isset($posted_data["is_new"]) || ($posted_data["is_new"] <> 0 && $posted_data["is_new"] <> 1)) {
			$this->err_msg = "Parameter Error";
			return false;
		}

		if (!is_numeric($this->uid)) {
			$this->err_msg = "";
			return false;
		}

		//ݥꥷ

		//var_dump($posted_data);

		foreach ($posted_data as $key=>$val) {

			if (substr($key,0,10) == "motive_id_") {
				$motive_id = substr($key,10);

				if (!is_numeric($val)) {
					$this->err_msg = "Parameter Error Motive Points";
					return false;
				}
				$total_points += $val;

				if (isset($posted_data["motive_is_new_".$motive_id]) &&
				$posted_data["motive_is_new_".$motive_id] == 1) {
					$sql = "INSERT INTO ".USER_MOTIVE_TBL."(motive_id, uid, points, create_time) VALUES (";
					$sql .= $motive_id.",".$this->uid.",".$val.",now())";
				} else {
					$sql = "UPDATE ".USER_MOTIVE_TBL." SET points =".$val.", update_time= now() WHERE ";
					$sql .= "uid=".$this->uid." AND motive_id=".$motive_id;

				}

				array_push($sql_arr, $sql);
			}
		}

		//ͳҤݥꥷ
		if (!isset($posted_data["is_new"])
		||!isset($posted_data["motive_text"])
		||!isset($posted_data["motive_text_points"])||!is_numeric($posted_data["motive_text_points"])) {
			$this->err_msg="Parameter Error";
			return false;
		}

		if ($posted_data["is_new"]==0) {
			$sql = "UPDATE ".USER_MOTIVE_TEXT_TBL." SET motive_text ='";
			$sql .= htmlspecialchars($posted_data["motive_text"],3)."', points=";
			$sql .= $posted_data["motive_text_points"].", update_time=now() WHERE uid =";
			$sql .= $this->uid;

		} else if ($posted_data["is_new"] == 1) {
			$sql = "INSERT INTO ".USER_MOTIVE_TEXT_TBL."(uid,motive_text,points,create_time) VALUES (";
			$sql .= $this->uid.",'".htmlspecialchars($posted_data["motive_text"],3);
			$sql .= "',".$posted_data["motive_text_points"].",now())";

		} else {
			$this->err_msg = "Parameter Error 'is_new'";
			return false;
		}

		$total_points += $posted_data["motive_text_points"];
		if ($total_points <> 10) {
			$this->err_msg = _MI_U_SOLOMON_MOTIVE_POINTS_MUST10_ERR;
			return false;
		}

		array_push($sql_arr, $sql);

		$this->sql_arr = $sql_arr;

		return true;

	}

	function registUserData () {
		global $xoopsDB;
		$sql_arr = $this->sql_arr;

		//var_dump($sql_arr);

		foreach ($sql_arr as $sql) {

			if (!$xoopsDB->query($sql)) {
				$this->err_msg = "SQL ERROR ".$sql;
				return false;
			}

		}

		return true;
	}

}

class CGoalRegister {
	var $err_msg = "";
	var $sql_arr = array();
//	var $uid;
	var $groupid;

	function CGoalRegister () {

	}

	function getErrMsg () {
		return $this->err_msg;
	}

	/*
	function setUid ($uid) {
		if(!is_numeric($uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}
		$this->uid = $uid;
		return true;

	}
	*/

	function setGroupId ($groupid) {
		if (!is_numeric($groupid)) {
			$this->err_msg = "Paramter Error Group ID";
			return false;
		}

		$this->groupid = $groupid;
		return true;
	}

	function checkPostedData ($posted_data) {
		//Ϥιפ10ˤʤäƤ뤫å

		$sql_arr =array();
		$total_points = 0;

		if (!is_array($posted_data)) {
			$this->err_msg = "Registed Data Type Err";
			return false;
		}

		if (!isset($posted_data["is_new"]) || ($posted_data["is_new"] <> 0 && $posted_data["is_new"] <> 1)) {
			$this->err_msg = "Parameter Error";
			return false;
		}

		if (!is_numeric($this->groupid)) {
			$this->err_msg = "GROUP ID ERROR";
			return false;
		}

		//ݥꥷ

		//var_dump($posted_data);

		foreach ($posted_data as $key=>$val) {

			if (substr($key,0,10) == "motive_id_") {
				$motive_id = substr($key,10);

				if (!is_numeric($val)) {
					$this->err_msg = "Parameter Error Motive Points";
					return false;
				}
				$total_points += $val;

				if (isset($posted_data["motive_is_new_".$motive_id]) &&
				$posted_data["motive_is_new_".$motive_id] == 1) {
					$sql = "INSERT INTO ".LEC_MOTIVE_TBL."(motive_id, groupid, points, create_time) VALUES (";
					$sql .= $motive_id.",".$this->groupid.",".$val.",now())";
				} else {
					$sql = "UPDATE ".LEC_MOTIVE_TBL." SET points =".$val.", update_time= now() WHERE ";
					$sql .= "groupid=".$this->groupid." AND motive_id=".$motive_id;

				}

				array_push($sql_arr, $sql);
			}
		}

		//ͳҤݥꥷ
		if (!isset($posted_data["is_new"])
		||!isset($posted_data["motive_text"])
		||!isset($posted_data["motive_text_points"])||!is_numeric($posted_data["motive_text_points"])) {
			$this->err_msg="Parameter Error";
			return false;
		}

		if ($posted_data["is_new"]==0) {
			$sql = "UPDATE ".LEC_MOTIVE_TEXT_TBL." SET motive_text ='";
			$sql .= htmlspecialchars($posted_data["motive_text"],3)."', points=";
			$sql .= $posted_data["motive_text_points"].", update_time=now() WHERE groupid =";
			$sql .= $this->groupid;

		} else if ($posted_data["is_new"] == 1) {
			$sql = "INSERT INTO ".LEC_MOTIVE_TEXT_TBL."(groupid, motive_text, points, create_time) VALUES (";
			$sql .= $this->groupid.",'".htmlspecialchars($posted_data["motive_text"],3);
			$sql .= "',".$posted_data["motive_text_points"].",now())";

		} else {
			$this->err_msg = "Parameter Error 'is_new'";
			return false;
		}

		$total_points += $posted_data["motive_text_points"];
		if ($total_points <> 10) {
			$this->err_msg = _MI_U_SOLOMON_MOTIVE_POINTS_MUST10_ERR;
			return false;
		}

		array_push($sql_arr, $sql);

		$this->sql_arr = $sql_arr;

		return true;

	}

	function registLecData () {
		global $xoopsDB;
		$sql_arr = $this->sql_arr;

		//var_dump($sql_arr);

		foreach ($sql_arr as $sql) {

			if (!$xoopsDB->query($sql)) {
				$this->err_msg = "SQL ERROR ".$sql;
				return false;
			}

		}

		return true;
	}


}

function setMember ($input_flag,$groupid,$uid) {
	if (!is_numeric($input_flag) || !is_numeric($groupid) || !is_numeric($uid)) {
		return false;
	}

	//echo "<br/>".$input_flag."<br/>";

	global $xoopsDB;

	if ($input_flag == 2) {
		//ư

		$sql = "DELETE FROM ".CLASS_SU_TBL." WHERE groupid =".$groupid." AND uid = ".$uid;

	} elseif ($input_flag ==1) {
		$linkid="";
		$sql = "SELECT * FROM ".GU_LINK_TBL." WHERE groupid = ".$groupid." AND uid =".$uid;

		$res = $xoopsDB->query($sql);
		//echo $sql;
		while($row = $xoopsDB->fetchArray($res)){
			//echo "111<br/>";

			$linkid = $row["linkid"];
		}
		//echo "222<br/>";
		if ($linkid == "") {
			$sql = "INSERT INTO ".GU_LINK_TBL." (uid, groupid) VALUES (".$uid.",".$groupid.")";

			if (!$xoopsDB->queryF($sql)) {
				//echo $sql;
				return false;
			}
			$linkid = $xoopsDB->getInsertId();
		}
		$sql = "INSERT INTO ".CLASS_SU_TBL." (uid, groupid, linkid,status) VALUES (".$uid.",".$groupid.",".$linkid.",1)";


	}
	//echo $sql;
	if (!$xoopsDB->queryF($sql)) {
		//echo $sql;

		return false;
	}

	return true;
}

function setSubjectMember ($input_flag, $uid, $groupid, $subject_id) {
	if (!is_numeric($uid) || !is_numeric($groupid) || !is_numeric($subject_id)) {
		return false;
	}
	global $xoopsDB;
	//ޤϥIDФ
	$linkid="";
	$sql = "SELECT * FROM ".GU_LINK_TBL." WHERE groupid = ".$groupid." AND uid =".$uid;

	$res = $xoopsDB->query($sql);
	//echo $sql;
	while($row = $xoopsDB->fetchArray($res)){
		//echo "111<br/>";

		$linkid = $row["linkid"];
	}
	if ($input_flag == 2) {
		//ư
		$sql = "DELETE FROM ".REGISTED_CLASS_TBL." WHERE uid =".$uid." AND subject_id=".$subject_id." AND group_user_link=".$linkid;


	} else if ($input_flag == 1) {
		//󥵡

		//echo "222<br/>";
		if ($linkid == "") {
			$sql = "INSERT INTO ".GU_LINK_TBL." (uid, groupid) VALUES (".$uid.",".$groupid.")";

			if (!$xoopsDB->queryF($sql)) {
				//echo $sql;
				return false;
			}
			$linkid = $xoopsDB->getInsertId();
		}


		$sql = "INSERT INTO ".REGISTED_CLASS_TBL." (uid, group_user_link , subject_id, create_time) VALUES (";
		$sql .= $uid.",".$linkid.",".$subject_id.",now())";
	}

	if (!$xoopsDB->queryF($sql)) {

		return false;
	}

	return true;
}


function setTotalEval ($uid, $gid, $point) {
	if (!is_numeric($uid) || !is_numeric($gid) || !is_numeric($point)) {
		return false;
	}
	global $xoopsDB;

	$is_up = 0;
	$sql = "SELECT * FROM ".LEC_EVAL_TBL." WHERE uid =".$uid." AND groupid=".$gid;
	$res = $xoopsDB->query($sql);
	while($row = $xoopsDB->fetchArray($res)){
		$is_up=1;
	}
	if ($is_up == 1) {
		$sql = "UPDATE ".LEC_EVAL_TBL." SET eval=".$point.", update_time=now() WHERE uid =".$uid." AND groupid=".$gid;
	} else {
		$sql= "INSERT INTO ".LEC_EVAL_TBL." (uid, groupid, eval, create_time) VALUES (";
		$sql.=$uid.",".$gid.",".$point.", now())";
	}

	if (!$xoopsDB->queryF($sql)) {
		echo $sql;
		return false;
	}

	return true;
}

class CTeaGoalRegister {
	//¦ã٥å

	var $tea_goa_reg_frm="";
	var $err_msg="";
	var $uid;
	var $groupid;

	function CTeaGoalRegister () {

	}

	function main ($groupid, $uid) {
		$err_msg = "";
		if (!is_numeric($groupid)) {
			$err_msg = "Parameter Error groupid";
		}
		if (!is_numeric($uid)) {
			$err_msg .= "Parameter Error Uid";
		}

		if ($err_msg <> "") {
			$this->err_msg = $err_msg;
			return false;
		}
		$this->uid =$uid;
		$this->groupid = $groupid;

		return true;

	}

	function getErrMsg () {
		return $this->err_msg;
	}

	function setTeaGoaRegFrm () {
		global $xoopsDB;



		$sql="SELECT  mt.motive_id, mt.motive_text, msgt.teach_eval FROM ".MOTIVE_TBL." AS mt, ".USER_MOTIVE_TBL." AS umt ";
//		$sql.=",".MOTIVE_SAT_GROUP_TBL." AS msgt ";

		$sql .= "WHERE umt.motive_id = mt.motive_id AND umt.uid = ".intval($this->uid);

		$sql .= " UNION SELECT mt.motive_id, mt.motive_text FROM ".MOTIVE_TBL." AS mt, ".LEC_MOTIVE_TBL." AS lmt ";
//		$sql.=",".MOTIVE_SAT_GROUP_TBL." AS msgt ";

		$sql .= "WHERE lmt.motive_id = mt.motive_id AND lmt.groupid=".intval($this->groupid);



		$sel_obj;

	}

	function getTeaGoaReFrm () {

	}

	function registGoalSatisExe () {
		global $xoopsDB;

	}

}
?>