<?php
/*
 * ϥե
 */

require('../../../mainfile.php');

if (!file_exists("../data/constant.php")) {
	redirect_header( XOOPS_URL."/modules/ClaviculaSalomonis/admin/index.php",
			2,_MI_A_SOLOMON_ADMIN_NOTREADY_RED);
}
require_once('../util/make_item.php');

$err_msg = "";
$is_able = "";
$subject_type_arr = array();
$credit = 0;
$subject_explain = "";


global $xoopsDB;


if (isset($_POST["input_flag"]) && $_POST["input_flag"] == 1 && isset($_POST["subject_name"]) &&
		isset($_POST["subject_explain"]) && isset($_POST["credit"])) {

	if (($_POST["credit"] <> "" && !is_numeric($_POST["credit"])) ||
			($_POST["subject_type_id"] <> "" &&!is_array($_POST["subject_type_id"]))) {
		//var_dump($_POST["subject_type_id"]);
		$err_msg = "PARAMETER ERROR";
	} else {
	if (is_array($_POST["subject_type_id"])) $subject_type_arr = $_POST["subject_type_id"];

	if ($_POST["subject_name"] == "") {
		$err_msg = _MI_A_SOLOMON_ADMIN_SUBJ_ERR;
		$credit = $_POST["credit"];
		$subject_explain = htmlspecialchars($_POST["subject_explain"],ENT_QUOTES);
	} else {

		$sql = "INSERT INTO ".$xoopsDB->prefix("solomon_subject_tbl")." (subject_name, subject_explain, create_time, del_flag, credit) ";
		$sql .= "VALUES ('".mysql_real_escape_string($_POST["subject_name"])."','".mysql_real_escape_string($_POST["subject_explain"])."', now(), 1,".$_POST["credit"].")";
		if (!$xoopsDB->query($sql)) {
			$err_msg = _MI_A_SOLOMON_ADMIN_SQL_ERROR;
		}else {
			$subject_id = $xoopsDB->getInsertId();
			foreach ($subject_type_arr as $val) {
				$link_sql = "INSERT INTO ".$xoopsDB->prefix("solomon_subject_type_link_tbl");
				$link_sql .= "(subject_type_id, subject_id, create_time) VALUES ('";
				$link_sql .= mysql_real_escape_string($val)."',".$subject_id.", now())";
				$xoopsDB->query($link_sql);
			}

			redirect_header( XOOPS_URL."/modules/ClaviculaSalomonis/admin/subject_list.php",
					2,_MI_A_SOLOMON_ADMIN_SUBJ_INSERT);
		}
	}
	}
}

//ץ
$sel_make_object = new CMultiSelMaker();

$subt_sel = "";
$subt_arr = array();
$subt_sql = "SELECT subject_type_id, subject_type_name FROM ".$xoopsDB->prefix("solomon_subject_type_tbl");
$res = $xoopsDB->query($subt_sql);
while($row = $xoopsDB->fetchArray($res)){
	$subt_arr[$row["subject_type_id"]] = htmlspecialchars($row["subject_type_name"],ENT_QUOTES);
}
if (count($subt_arr) > 0) {
	$sel_make_object->setItemArr($subt_arr);
	$sel_make_object->setSelName("subject_type_id[]");
	$sel_make_object->setSelectedArr($subject_type_arr);
	$subt_sel = $sel_make_object->getMultiPulldown();
} else {
	$err_msg .= "NO Subject type data!";
	$is_able = "DISABLED";
}
$credit_sel = "";
$credit_arr = array(0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20);
$sel_make_object->setItemArr($credit_arr);
$sel_make_object->setSelName("credit");
$sel_make_object->setSelected($credit);
$credit_sel = $sel_make_object->getPullDown();

$disp_content = "";

$disp_content .= "<h3>"._MI_A_SOLOMON_ADMIN_SUBJ_INS_TITLE."</h3>";
$disp_content .= "<font color='red'>".$err_msg."</font><br/>";

$disp_content .= "<form action='subject_ins_form.php' method='post'>";
$disp_content .="<table border=1 width='600'><tr><td width='150' bgcolor='lightyellow'>";
$disp_content .=_MI_A_SOLOMON_ADMIN_SUBJ_NAME;
$disp_content .="</td><td><input type='text' name='subject_name' size='100'/>";
$disp_content .="</td></tr>";

$disp_content .="<tr><td width='150' bgcolor='lightyellow'>";
$disp_content .=_MI_A_SOLOMON_ADMIN_SUBJ_TYPE_NAME;
$disp_content .="</td><td>".$subt_sel;
$disp_content .="</td></tr>";

$disp_content .="<tr><td width='150' bgcolor='lightyellow'>";
$disp_content .=_MI_A_SOLOMON_ADMIN_SUBJ_CREDITNUM;
$disp_content .="</td><td>".$credit_sel;
$disp_content .="</td></tr>";


$disp_content .="<tr><td width='150' bgcolor='lightyellow'>";
$disp_content .=_MI_A_SOLOMON_ADMIN_SUBJ_DESCRIPTION;
$disp_content .="</td><td><textarea name='subject_explain' rows='6' cols='70'>".$subject_explain;
$disp_content .="</textarea></td></tr></table>";
$disp_content .= "<input type='hidden' name='input_flag' value='1'/>";
$disp_content .="<br/><input type='submit' value='"._MI_A_SOLOMON_ADMIN_REG_BUTTON."'".$is_able."/>";
$disp_content .= "</form>";

include '../../../include/cp_header.php';
xoops_cp_header();

echo $disp_content;

xoops_cp_footer();

?>