<?php
/*ʼ̤Խե
 *
 */
require('../../../mainfile.php');

if (!file_exists("../data/constant.php")) {
	redirect_header( XOOPS_URL."/modules/ClaviculaSalomonis/admin/index.php",
			2,_MI_A_SOLOMON_ADMIN_NOTREADY_RED);
}
require_once('../util/make_item.php');
$err_msg = "";

if (!isset($_REQUEST["subject_type_id"]) || !is_numeric($_REQUEST["subject_type_id"])) {
	redirect_header( XOOPS_URL."/modules/ClaviculaSalomonis/admin/index.php",
			2,_MI_A_SOLOMON_ADMIN_PARAMETER_ERR);
}
$subject_type_name = "";
$credit = "";
$subject_type_explain = "";
$faculty_id = 0;
$department_id = 0;
$txt_level_id = 0;
$difficulty_id = 0;
$credit = 0;
$subject_type_id = "";

global $xoopsDB;

if (isset($_POST["delete_flag"]) && $_POST["delete_flag"] == 1) {
	$del_sql = "DELETE FROM ".$xoopsDB->prefix("solomon_subject_type_tbl");
	$del_sql .= " WHERE subject_type_id = '".$_REQUEST["subject_type_id"]."'";
	if (!$xoopsDB->query($del_sql)) {
		$err_msg = _MI_A_SOLOMON_ADMIN_SQL_ERROR;
	}else {
		redirect_header(XOOPS_URL."/modules/ClaviculaSalomonis/admin/subject_type_list.php",
				2,_MI_A_SOLOMON_ADMIN_DEP_DELETE);
	}

}

if (isset($_POST["input_flag"]) && $_POST["input_flag"] == 1 && isset($_POST["subject_type_name"])) {
	if ($_POST["subject_type_name"] == "") {
		$err_msg = _MI_A_SOLOMON_ADMIN_SUBJ_TYPE_ERR;
		$subject_type_explain = $_POST["subject_type_explain"];
	} else {
		if (isset($_REQUEST["faculty_id"]) && is_numeric($_REQUEST["faculty_id"]) && $_REQUEST["faculty_id"]>0) {
			$faculty_id = $_REQUEST["faculty_id"];
		}

		if (isset($_REQUEST["department_id"]) && is_numeric($_REQUEST["department_id"])&&$_REQUEST["department_id"]>0) {
			$department_id = $_REQUEST["department_id"];
		}

		if (isset($_REQUEST["txt_level_id"]) && is_numeric($_REQUEST["txt_level_id"])&&$_REQUEST["txt_level_id"]>0) {
			$txt_level_id = $_REQUEST["txt_level_id"];
		}

		if (isset($_REQUEST["difficulty_id"]) && is_numeric($_REQUEST["difficulty_id"])&&$_REQUEST["difficulty_id"]>0) {
			$difficulty_id = $_REQUEST["difficulty_id"];
		}
		if (isset($_REQUEST["credit"]) && is_numeric($_REQUEST["credit"])&&$_REQUEST["credit"]>0) {
			$credit = $_REQUEST["credit"];
		}
		$subject_type_name = $_POST["subject_type_name"];
		$subject_type_explain = $_POST["subject_type_explain"];

		$sql = "UPDATE ".$xoopsDB->prefix("solomon_subject_type_tbl")." SET subject_type_name = ";
		$sql .= "'".mysql_real_escape_string($subject_type_name)."', credit ='".$credit."', update_time= now(),";
		$sql .= "subject_type_explain ='".mysql_real_escape_string($subject_type_explain)."', faculty_id='".$faculty_id."', department_id ='".$department_id;
		$sql .= "', txt_level_id='".$txt_level_id."', difficulty_id ='".$difficulty_id."' WHERE ";
		$sql .= "subject_type_id = '".$_REQUEST["subject_type_id"]."'";

		if (!$xoopsDB->query($sql)) {
			$err_msg = _MI_A_SOLOMON_ADMIN_SQL_ERROR;
		}else {
			redirect_header( XOOPS_URL."/modules/ClaviculaSalomonis/admin/subject_type_list.php",
					2,_MI_A_SOLOMON_ADMIN_SUBJ_TYPE_INSERT);
		}
	}
}

$myts =& MyTextSanitizer::getInstance();
$sql = "SELECT * FROM ".$xoopsDB->prefix("solomon_subject_type_tbl")." WHERE subject_type_id = '".$_REQUEST["subject_type_id"]."'";
$res = $xoopsDB->query($sql);
$department_nam = "";
$comment = "";
while($row = $xoopsDB->fetchArray($res)){
	$subject_type_name = $myts->makeTboxData4Show($row["subject_type_name"]);
	$credit = $row["credit"];
	$subject_type_explain = $myts->makeTboxData4Show($row["subject_type_explain"]);
	$faculty_id = $row["faculty_id"];
	$department_id = $row["department_id"];
	$txt_level_id = $row["txt_level_id"];
	$difficulty_id = $row["difficulty_id"];
}


//ץ
$sel_make_object = new CSelectMaker();
//ز
$fac_sel = "";
$fac_arr = array();
$fac_sql = "SELECT faculty_id, faculty_name FROM ".$xoopsDB->prefix("solomon_faculty_tbl")." WHERE del_flag = 0";
$res = $xoopsDB->query($fac_sql);
while($row = $xoopsDB->fetchArray($res)){
	$fac_arr[$row["faculty_id"]] = htmlspecialchars($row["faculty_name"],ENT_QUOTES);
}
if (count($fac_arr) > 0) {
	$fac_arr[0] = _MI_A_SOLOMON_ADMIN_DATA_NOTSET;
	$sel_make_object->setItemArr($fac_arr);
	$sel_make_object->setSelName("faculty_id");
	$sel_make_object->setSelected($faculty_id);
	$fac_sel = $sel_make_object->getPullDown();
}

//
$dep_sel = "";
$dep_arr = array();
$dep_sql = "SELECT department_id, department_nam FROM ".$xoopsDB->prefix("solomon_department_tbl");
$res = $xoopsDB->query($dep_sql);
while($row = $xoopsDB->fetchArray($res)){
	$dep_arr[$row["department_id"]] = htmlspecialchars($row["department_nam"],ENT_QUOTES);
}
if (count($dep_arr) > 0) {
	$dep_arr[0] = _MI_A_SOLOMON_ADMIN_DATA_NOTSET;
	$sel_make_object->setItemArr($dep_arr);
	$sel_make_object->setSelName("department_id");
	$sel_make_object->setSelected($department_id);
	$dep_sel = $sel_make_object->getPullDown();
}

//٥
$lev_sel = "";
$lev_arr = array();
$lev_sql = "SELECT txt_level_id, txt_level_nam FROM ".$xoopsDB->prefix("solomon_txt_level_tbl");
$res = $xoopsDB->query($lev_sql);
while($row = $xoopsDB->fetchArray($res)){
	$lev_arr[$row["txt_level_id"]] = htmlspecialchars($row["txt_level_nam"],ENT_QUOTES);
}
if (count($lev_arr) > 0) {
	$lev_arr[0] = _MI_A_SOLOMON_ADMIN_DATA_NOTSET;
	$sel_make_object->setItemArr($lev_arr);
	$sel_make_object->setSelName("txt_level_id");
	$sel_make_object->setSelected($txt_level_id);
	$lev_sel = $sel_make_object->getPullDown();
}

//
$dif_sel = "";
$dif_arr = array();
$dif_sql = "SELECT difficulty_id, difficulty_nam FROM ".$xoopsDB->prefix("solomon_difficulty_tbl");
$res = $xoopsDB->query($dif_sql);
while($row = $xoopsDB->fetchArray($res)){
	$dif_arr[$row["difficulty_id"]] = htmlspecialchars($row["difficulty_nam"],ENT_QUOTES);
}
if (count($lev_arr) > 0) {
	$dif_arr[0] = _MI_A_SOLOMON_ADMIN_DATA_NOTSET;
	$sel_make_object->setItemArr($dif_arr);
	$sel_make_object->setSelName("difficulty_id");
	$sel_make_object->setSelected($difficulty_id);
	$dif_sel = $sel_make_object->getPullDown();
}





$disp_content = "";

$disp_content .= "<h3>"._MI_A_SOLOMON_ADMIN_SUBJ_TYPE_INS_TITLE."</h3>";
$disp_content .= "<font color='red'>".$err_msg."</font><br/>";

$disp_content .= "<form action='subject_type_mod_form.php' method='post'>";
$disp_content .="<table border=1 width='600'><tr><td width='150' bgcolor='lightyellow'>";
$disp_content .=_MI_A_SOLOMON_ADMIN_SUBJ_TYPE_NAME;
$disp_content .="</td><td width='450'><input type='text' name='subject_type_name' size='100' ";
$disp_content .= "value='".htmlspecialchars($subject_type_name,ENT_QUOTES)."'/>";
$disp_content .="</td></tr>";

$disp_content .="<tr><td width='150' bgcolor='lightyellow'>";
$disp_content .=_MI_A_SOLOMON_ADMIN_SUBJ_TYPE_DESCRIPTION;
$disp_content .="</td><td><textarea name='subject_type_explain' cols='80'>".htmlspecialchars($subject_type_explain,ENT_QUOTES)."</textarea></td></tr>";

//ز
$disp_content .="<tr><td width='150' bgcolor='lightyellow'>";
$disp_content .=_MI_A_SOLOMON_ADMIN_FACULTY_NAME;
$disp_content .="</td><td>".$fac_sel."</td></tr>";

//
$disp_content .="<tr><td width='150' bgcolor='lightyellow'>";
$disp_content .=_MI_A_SOLOMON_ADMIN_DEP_NAME;
$disp_content .="</td><td>".$dep_sel."</td></tr>";

//٥
$disp_content .="<tr><td width='150' bgcolor='lightyellow'>";
$disp_content .=_MI_A_SOLOMON_ADMIN_LEVEL_NAME;
$disp_content .="</td><td>".$lev_sel."</td></tr>";

//
$disp_content .="<tr><td width='150' bgcolor='lightyellow'>";
$disp_content .=_MI_A_SOLOMON_ADMIN_DIFFICULTY_NAME;
$disp_content .="</td><td>".$dif_sel."</td></tr>";



$disp_content .="</tr></table>";
$disp_content .= "<input type='hidden' name='input_flag' value='1'/>";
$disp_content .= "<input type='hidden' name='subject_type_id' value='".$_REQUEST["subject_type_id"]."'/>";

$disp_content .="<br/><input type='submit' value='"._MI_A_SOLOMON_ADMIN_REG_BUTTON."'>";
$disp_content .= "</form>";

$disp_content .= "<form action='subject_type_mod_form.php' method='post'>";
$disp_content .= "<input type='hidden' name='subject_type_id' value='".$_REQUEST["subject_type_id"]."'>";
$disp_content .= "<input type='hidden' name='delete_flag' value='1'/>";
$disp_content .= "<input type='submit' value='"._MI_A_SOLOMON_ADMIN_DELETE_BUTTON."'/>";
$disp_content .= "</form>";

include '../../../include/cp_header.php';
xoops_cp_header();

echo $disp_content;

xoops_cp_footer();


?>