<?php
/*
 * htmlʤĤ뤿PHP
 */
class CSelectMaker {
	//ץ
	var $item_arr = array();
	var $selected = 0;
	var $sel_name="";
	function CSelectMaker (){}

	function setItemArr ($item_arr) {
		$this->item_arr = $item_arr;
	}

	function setSelected ($selected) {
		$this->selected = $selected;
	}
	function setSelName ($sel_name) {
		$this->sel_name = $sel_name;
	}

	function getPullDown () {
		$pull_down = "";

		$item_arr = $this->item_arr;
		$sel_name = $this->sel_name;
		foreach ($item_arr as $key=>$val) {
			$pull_down .= "<OPTION VALUE='".$key."'";
			if ($key == $this->selected) $pull_down .= " SELECTED";

			$pull_down .= ">".htmlspecialchars($val,ENT_QUOTES);
			$pull_down .="</OPTION>";
		}
		if ($pull_down == "" || $sel_name == "") {
			$pull_down = "";
		} else {
			$pull_down = "<SELECT NAME='".$sel_name."'>".$pull_down."</SELECT>";
		}
		return $pull_down;
	}
}

class YearPullDown extends CSelectMaker {
	function YearPullDown () {
		$item_arr = array();
		for ($i=2012; $i<=2100; $i++) {
			$item_arr[$i] = $i;
		}

		$this->setItemArr($item_arr);
	}

}

class TenPullDown extends CSelectMaker {
	function TenPullDown () {
		$item_arr = array();
		for ($i=0; $i<=10; $i++) {
			$item_arr[$i] = $i;
		}
		$this->setItemArr($item_arr);

	}

}

class FivePullDown extends CSelectMaker {
	function FivePullDown () {
		$item_arr = array();
		for ($i=0; $i<=5; $i++) {
			$item_arr[$i] = $i;
		}
		$this->setItemArr($item_arr);
	}
}

class CMultiSelMaker extends CSelectMaker {
	var $selected_arr = array();
	var $sel_size = 3;

	function CMultiSelMaker () {

	}

	function setSelectedArr ($selected_arr) {
		if (!is_array($selected_arr)) {
			return false;
		} else {
			$this->selected_arr = $selected_arr;
			return true;
		}
	}
	function setSelSize ($sel_size) {
		if (!is_numeric($sel_size) || $sel_size <= 0) {
			return false;
		}
		$this->sel_size = $sel_size;
		return true;
	}

	function getMultiPulldown () {
		$pull_down = "";

		$item_arr = $this->item_arr;
		$sel_name = $this->sel_name;
		foreach ($item_arr as $key=>$val) {
			$pull_down .= "<OPTION VALUE='".$key."'";
			if (in_array($key, $this->selected_arr)) $pull_down .= " SELECTED";

			$pull_down .= ">".htmlspecialchars($val,ENT_QUOTES);
			$pull_down .="</OPTION>";
		}
		if ($pull_down == "" || $sel_name == "") {
			$pull_down = "";
		} else {
			$pull_down = "<SELECT NAME='".$sel_name."' size='".$this->sel_size."' multiple>".$pull_down."</SELECT>";
		}
		return $pull_down;
	}
}

class CMotiveTableMaker {
	/*
	 * ưˤĤƤΥơ֥
	 */
	var $motive_show_tbl="";
	var $uid;
	var $err_msg="";
	var $sel_sql1="";
	var $sel_sql2="";

	var $motive_text = "";


	function CMotiveTableMaker () {

	}

	function main ($uid="") {
		$err_msg = "";
		$this->uid = $uid;

		if (!$this->setSelSql1()) {
			$err_msg = "parameter error<br/>";
		}
		if (!$this->setSelSql2()) {
			$err_msg = "parameter error<br/>";
		}
		$this->err_msg = $err_msg;
	}

	function getErrMsg () {
		return $this->err_msg;
	}

	function setSelSql1 () {

		if (is_numeric($this->uid)) {

			$sql = "SELECT mt.motive_text, umt.points, mt.motive_id FROM ".MOTIVE_TBL." AS mt LEFT JOIN ";
			$sql .= USER_MOTIVE_TBL." AS umt ON umt.motive_id = mt.motive_id AND ";
			$sql .= "umt.uid = ".$this->uid;

			$this->sel_sql1 = $sql;
			return true;
		}
		return false;
	}

	function setSelSql2 () {
		if (is_numeric($this->uid)) {
			$sql = "SELECT * FROM ".USER_MOTIVE_TEXT_TBL." WHERE uid =".$this->uid;

			$this->sel_sql2 = $sql;
			return true;
		}
		return false;
	}

	function setMotiveShowTbl () {

		global $xoopsDB;

		$show_tbl = "";
		$uid = $this->uid;

		if (!is_numeric($uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		} else if ($this->sel_sql1=="") {
			$this->err_msg = "Parameter Error sql";
			return false;
		} else {

			$sql =$this->sel_sql1;

			$res = $xoopsDB->query($sql);
			while($row = $xoopsDB->fetchArray($res)){
				$show_tbl .= "<tr>";
				$show_tbl .= "<td>".htmlspecialchars($row["motive_text"],ENT_QUOTES);
				$show_tbl .= " / ". intval($row["points"])."</td>";
				$show_tbl .= "</tr>";

			}

			$this->motive_show_tbl=$show_tbl;
		}


	}

	function setMotiveText () {

		global $xoopsDB;
		$motive_text = "";
		$uid = $this->uid;

		if (!is_numeric($uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		} else if ($this->sel_sql2=="") {
			$this->err_msg = "Parameter Error sql";
			return false;
		}

		$sql =$this->sel_sql2;
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){

			if ($row["motive_text"]=="") break;
			$motive_text .= "<tr><td>";

			$motive_text .= htmlspecialchars($row["motive_text"],ENT_QUOTES);
			$motive_text .= " / ". intval($row["points"])."</td>";

			$motive_text .= "</tr>";

		}

		$this->motive_text=$motive_text;
		return true;
	}

	function getMotiveShowTbl () {

		$motive_show_tbl = $this->motive_show_tbl;

		$motive_show_tbl .= $this->motive_text;

		if ($motive_show_tbl <> "") {
			$motive_show_tbl = "<table>".$motive_show_tbl."</table>";
		}

		return $motive_show_tbl;
	}

}

class CMotiveForm extends CMotiveTableMaker {
	/*
	 * ּ¦ưϥե
	 */

	var $motive_form = "";

	function CMotiveForm () {

	}

	function setMotiveForm () {
		/*
		 * ݥꥷưϥե
		 */

		global $xoopsDB;

		$motive_form = "";
		$sql = "";
		$motive_text="";
		$is_new = 1;
		$motive_points = 0;

		$uid = $this->uid;

		if (!is_numeric($uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;

		} else if ($this->sel_sql2=="" || $this->sel_sql1 == "") {

			$this->err_msg = "Parameter Error sql";
			return false;
		}

		$mot_sel_obj = new TenPullDown();

		$sql = $this->sel_sql1;

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$motive_form .= "<tr>";
			$motive_form .= "<td>".htmlspecialchars($row["motive_text"],ENT_QUOTES);

			$motive_form .= "</td><td>";

			$mot_sel_obj->setSelName("motive_id_".$row["motive_id"]);
			$mot_sel_obj->setSelected($row["points"]);

			$motive_form .= $mot_sel_obj->getPullDown();

			if (!is_numeric($row["points"])) {
				$motive_form .= "<input type='hidden' name='motive_is_new_";
				$motive_form .=$row["motive_id"]."' value='1'/>";
			}

			$motive_form .= "</td></tr>";

		}

		//ȼɸ
		$sql = $this->sel_sql2;
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$motive_text = htmlspecialchars($row["motive_text"],ENT_QUOTES);
			$motive_points = $row["points"];
			$is_new = 0;
		}
		$motive_form .= "<tr><td>"._MI_U_SOLOMON_FREE_MOTIVE_WRITE;
		$motive_form .= "<textarea name='motive_text' cols='80' rows='5'>";
		$motive_form .= $motive_text."</textarea>";
		$motive_form .= "<input type='hidden' name='is_new' value='".$is_new;
		$motive_form .= "'/></td>";

		$mot_sel_obj->setSelName("motive_text_points");
		$mot_sel_obj->setSelected($motive_points);
		$motive_form .= "<td>".$mot_sel_obj->getPullDown()."</td></tr>";

		$this->motive_form = $motive_form;


		return true;

	}

	function getMotiveForm () {
		return $this->motive_form;
	}


}

class CLecGoalTableMaker {
	/*
	 * Ȥɸ
	 * ưΥǡ١ήѤ
	 */

	var $motive_show_tbl="";
	var $groupid;
	var $err_msg="";
	var $sel_sql1="";
	var $sel_sql2="";

	var $motive_text = "";

	function CLecGoalTableMaker () {

	}


	function main ($groupid="") {
		$err_msg = "";
		$this->groupid = $groupid;

		if (!$this->setSelSql1()) {
			$err_msg = "parameter error<br/>";
		}
		if (!$this->setSelSql2()) {
			$err_msg = "parameter error<br/>";
		}
		$this->err_msg = $err_msg;
	}

	function getErrMsg () {
		return $this->err_msg;
	}

	function setSelSql1 () {

		if (is_numeric($this->groupid)) {

			$sql = "SELECT mt.motive_text, lmt.points, mt.motive_id FROM ".MOTIVE_TBL." AS mt LEFT JOIN ";
			$sql .= LEC_MOTIVE_TBL." AS lmt ON lmt.motive_id = mt.motive_id AND ";
			$sql .= "lmt.groupid = ".$this->groupid;

			$this->sel_sql1 = $sql;
			return true;
		}
		return false;
	}

	function setSelSql2 () {
		if (is_numeric($this->groupid)) {
			$sql = "SELECT * FROM ".LEC_MOTIVE_TEXT_TBL." WHERE groupid =".$this->groupid;

			$this->sel_sql2 = $sql;
			return true;
		}
		return false;
	}

	function setMotiveShowTbl () {

		global $xoopsDB;

		$show_tbl = "";
		$groupid = $this->groupid;

		if (!is_numeric($groupid)) {
			$this->err_msg = "Parameter Error groupid";
			return false;
		} else if ($this->sel_sql1=="") {
			$this->err_msg = "Parameter Error sql";
			return false;
		} else {

			$sql =$this->sel_sql1;
			$res = $xoopsDB->query($sql);
			while($row = $xoopsDB->fetchArray($res)){
				$show_tbl .= "<tr>";
				$show_tbl .= "<td>".htmlspecialchars($row["motive_text"],ENT_QUOTES);
				$show_tbl .= " / ". intval($row["points"])."</td>";
				$show_tbl .= "</tr>";

			}

			$this->motive_show_tbl=$show_tbl;
		}


	}

	function setMotiveText () {

		global $xoopsDB;
		$motive_text = "";
		$groupid = $this->groupid;

		if (!is_numeric($groupid)) {
			$this->err_msg = "Parameter Error Groupid";
			return false;
		} else if ($this->sel_sql2=="") {
			$this->err_msg = "Parameter Error sql";
			return false;
		}

		$sql =$this->sel_sql2;
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){

			if ($row["motive_text"]=="") break;
			$motive_text .= "<tr><td>";

			$motive_text .= htmlspecialchars($row["motive_text"],ENT_QUOTES);
			$motive_text .= " / ". intval($row["points"])."</td>";

			$motive_text .= "</tr>";

		}

		$this->motive_text=$motive_text;
		return true;
	}

	function getMotiveShowTbl () {

		$motive_show_tbl = $this->motive_show_tbl;

		$motive_show_tbl .= $this->motive_text;

		if ($motive_show_tbl <> "") {
			$motive_show_tbl = "<table>".$motive_show_tbl."</table>";
		}

		return $motive_show_tbl;
	}
}

class CGoalForm extends CLecGoalTableMaker {
	/*
	 * ¦ɸϥե
	*/

	var $motive_form = "";

	function CGoalForm () {

	}

	function setMotiveForm () {
		/*
		 * ݥꥷưϥե
		*/

		global $xoopsDB;

		$motive_form = "";
		$sql = "";
		$motive_text="";
		$is_new = 1;
		$motive_points = 0;

		$groupid = $this->groupid;

		if (!is_numeric($groupid)) {
			$this->err_msg = "Parameter Error groupid";
			return false;

		} else if ($this->sel_sql2=="" || $this->sel_sql1 == "") {

			$this->err_msg = "Parameter Error sql";
			return false;
		}

		$mot_sel_obj = new TenPullDown();

		$sql = $this->sel_sql1;

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$motive_form .= "<tr>";
			$motive_form .= "<td>".htmlspecialchars($row["motive_text"],ENT_QUOTES);

			$motive_form .= "</td><td>";

			$mot_sel_obj->setSelName("motive_id_".$row["motive_id"]);
			$mot_sel_obj->setSelected($row["points"]);

			$motive_form .= $mot_sel_obj->getPullDown();

			if (!is_numeric($row["points"])) {
				$motive_form .= "<input type='hidden' name='motive_is_new_";
				$motive_form .=$row["motive_id"]."' value='1'/>";
			}

			$motive_form .= "</td></tr>";

		}

		//ȼɸ
		$sql = $this->sel_sql2;
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$motive_text = htmlspecialchars($row["motive_text"],ENT_QUOTES);
			$motive_points = $row["points"];
			$is_new = 0;
		}
		$motive_form .= "<tr><td>"._MI_U_SOLOMON_FREE_MOTIVE_WRITE;
		$motive_form .= "<textarea name='motive_text' cols='80' rows='5'>";
		$motive_form .= $motive_text."</textarea>";
		$motive_form .= "<input type='hidden' name='is_new' value='".$is_new;
		$motive_form .= "'/></td>";

		$mot_sel_obj->setSelName("motive_text_points");
		$mot_sel_obj->setSelected($motive_points);
		$motive_form .= "<td>".$mot_sel_obj->getPullDown()."</td></tr>";

		$this->motive_form = $motive_form;


		return true;

	}

	function getMotiveForm () {
		return $this->motive_form;
	}


}


class CScheduleTableMaker {
	/*
	 * ֳɽ
	 */

	var $max_time=0;
	var $tbl_header;
	var $tbl_body;
	var $lec_arr = array();
	var $err_msg="";

	function CScheduleTableMaker () {

	}

	function main () {

		$this->setMaxTime();
		$this->setTblHeader();
		$this->setTblBody();
	}

	function getErrMsg () {

		return $this->err_msg;
	}


	function setMaxTime () {

		global $xoopsDB;

		$max_time = 0;

		$sql = "SELECT MAX(lec_time) AS max_time FROM ".LEC_TIME_TBL;

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$max_time = $row["max_time"];
		}
		$this->max_time = $max_time;
	}

	function setTblHeader () {

		$time_tbl_head = "<tr bgcolor='lightgreen'><th><br/></th>";
		for ($i=0; $i<$this->max_time; $i++) {
			$time_tbl_head .="<th>".($i+1)._MI_U_SOLOMON_COMMON_LEC_TIME_UNIT."</th>";
		}
		$time_tbl_head .= "</tr>";

		$this->tbl_header = $time_tbl_head;


	}

	function getTblHeader () {

		return $this->tbl_header;
	}


	function setTblBody () {

		global $xoopsDB;

		$tbl_body = "";

		$lec_arr = $this->lec_arr;

		$base_time_arr = array();
		$sql = "SELECT * FROM ".LEC_TIME_TBL." ORDER BY weekday";
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$base_time_arr[$row["weekday"]][$row["lec_time"]]=$row;
		}

		for ($i =0; $i < 7; $i++) {
			// $iϽ
			$tbl_body .= "<tr";

			if ($i%2 == 0)  $tbl_body .= " bgcolor='lightgrey'";

			$tbl_body .="><td>";
			if ($i==0) {
				$tbl_body .=_MI_U_SOLOMON_COMMON_SUNDAY;
			}
			if ($i==1) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_MONDAY;
			}
			if ($i==2) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_TUESDAY;
			}
			if ($i==3) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_WEDNESDAY;
			}
			if ($i==4) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_THURSDAY;
			}
			if ($i==5) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_FRIDAY;
			}
			if ($i==6) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_SATURDAY;
			}
			$tbl_body .= "</td>";

			for ($j=1; $j <= $this->max_time; $j++) {
				if (isset($base_time_arr[$i][$j]) && isset($lec_arr[$i][$j])) {

					$tbl_body .= "<td>".$lec_arr[$i][$j]."</td>";

				} else {
					$tbl_body .= "<td><br/></td>";
				}

			}
		}


		$this->tbl_body = $tbl_body;
	}

	function getTblBody () {

		return $this->tbl_body;
	}


	function setLecArr ($yearmon="") {

		global $xoopsDB;

		$lec_arr = array();
		$base_date = "";

		if ($yearmon == "") {
			$base_date = "NOW()";
		} elseif (is_numeric($yearmon)) {
			$base_date = substr($yearmon,0,4)."-".substr($yearmon,4,2)."-01 00:00:00";
		} else {
			$this->err_msg = "Year Parameter Error";
			return false;
		}


		$sql="SELECT ltlt.weekday, ltlt.lec_time, gt.name AS gname FROM ";
		$sql .= GROUP_TIME_LINK_TBL." AS ltlt, ".CLASS_TBL." gt, ".SUBJECT_GROUP_LINK_TBL;
		$sql .= " AS sglt WHERE gt.groupid = sglt.groupid AND gt.groupid = ltlt.groupid AND ";

		//mysqlȼSQL
		$sql .= "sglt.start_mon <= DATE_FORMAT( ".$base_date." , '%Y%m' ) AND ";
		$sql .= "sglt.start_mon > DATE_FORMAT( DATE_ADD( ".$base_date." , INTERVAL - sglt.period WEEK ) , '%Y%m' )";

		//echo $sql;

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			if (!isset($lec_arr[$row["weekday"]][$row["lec_time"]])) {
				$lec_arr[$row["weekday"]][$row["lec_time"]] = htmlspecialchars($row["gname"],3);
			} else {
				$lec_arr[$row["weekday"]][$row["lec_time"]] .= "<br/>".htmlspecialchars($row["gname"],3);
			}
		}


		$this->lec_arr  = $lec_arr;
		return true;
	}

}

class CUserScheduleTableMaker extends CScheduleTableMaker {
	//ּԸġ͸
	var $tbl_body_for_user;
	var $user_taken_lec_arr = array();
	var $all_lec_arr = array();

	function CUserScheduleTableMaker () {

	}



	function setUserTakenLecArr ($uid,$yearmon="") {

		global $xoopsDB;
		//桼ƤȤΥ塼
		if (!is_numeric($uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}


		$lec_arr = array();
		$base_date = "";

		if ($yearmon == "") {
			$base_date = "NOW()";
		} elseif (is_numeric($yearmon)) {
			$base_date = "'".substr($yearmon,0,4)."-".substr($yearmon,4,2)."-01 00:00:00'";
		} else {
			$this->err_msg = "Year Parameter Error";
			return false;
		}


		$sql="SELECT ltlt.weekday, ltlt.lec_time, gt.name AS gname,ltlt.groupid, st.subject_name FROM ";
		$sql .= GROUP_TIME_LINK_TBL." AS ltlt, ".CLASS_TBL." gt, ".SUBJECT_GROUP_LINK_TBL." AS sglt, ";
		$sql .= CLASS_SU_TBL." AS cst, ".SUBJECT_TBL." AS st";
		$sql .= " WHERE gt.groupid = sglt.groupid AND gt.groupid = ltlt.groupid AND cst.groupid = gt.groupid ";
		$sql .= "AND cst.uid = ".$uid." AND st.subject_id = sglt.subject_id AND ";

		//mysqlȼSQL
		$sql .= "sglt.start_mon <= DATE_FORMAT( ".$base_date." , '%Y%m' ) AND ";
		$sql .= "sglt.start_mon > DATE_FORMAT( DATE_ADD( ".$base_date.", INTERVAL - sglt.period WEEK ) , '%Y%m' )";

		//echo $sql;

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){

			if (isset($lec_arr[$row["weekday"]]) && isset($lec_arr[$row["weekday"]][$row["lec_time"]])) {
				$lec_arr[$row["weekday"]][$row["lec_time"]] = "<font color='red'>"._MI_U_SOLOMON_STUDENT_SCHEDULE_ERROR."</font><br/>".$lec_arr[$row["weekday"]][$row["lec_time"]];
				$lec_arr[$row["weekday"]][$row["lec_time"]] .= "<a href='show_user_lec_data.php?groupid=".intval($row["groupid"])."'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["gname"],3).")</a>";

			} else {
				$lec_arr[$row["weekday"]][$row["lec_time"]] =
				"<a href='show_user_lec_data.php?groupid=".intval($row["groupid"])."'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["gname"],3).")</a>";
			}
		}


		//$this->lec_arr  = $lec_arr;

		$this->user_taken_lec_arr = $lec_arr;

		return true;
	}

	function setAllLecArr ($yearmon="") {

		global $xoopsDB;

		$all_lec_arr = array();
		$base_date = "";

		if ($yearmon == "") {
			$base_date = "NOW()";
		} elseif (is_numeric($yearmon)) {
			$base_date = "'".substr($yearmon,0,4)."-".substr($yearmon,4,2)."-01 00:00:00'";
		} else {
			$this->err_msg = "Year Parameter Error";
			return false;
		}


		$sql="SELECT ltlt.weekday, ltlt.lec_time, gt.name AS gname, ltlt.groupid, st.subject_name FROM ";
		$sql .= GROUP_TIME_LINK_TBL." AS ltlt, ".CLASS_TBL." gt, ".SUBJECT_GROUP_LINK_TBL;
		$sql .= " AS sglt, ".SUBJECT_TBL." AS st WHERE gt.groupid = sglt.groupid AND gt.groupid = ltlt.groupid AND st.subject_id = sglt.subject_id AND ";

		//echo $base_date."<br/>";

		//mysqlȼSQL
		$sql .= "sglt.start_mon <= DATE_FORMAT( ".$base_date." , '%Y%m' ) AND ";
		$sql .= "sglt.start_mon > DATE_FORMAT( DATE_ADD( ".$base_date." , INTERVAL - sglt.period WEEK ) , '%Y%m' )";

		//echo $sql;

		$res = $xoopsDB->query($sql);

		//echo $sql;

		while($row = $xoopsDB->fetchArray($res)){
			if (!isset($all_lec_arr[$row["weekday"]]) || !isset($all_lec_arr[$row["weekday"]][$row["lec_time"]])) {
				$all_lec_arr[$row["weekday"]][$row["lec_time"]] =
					"<small><a href='show_user_lec_data.php?groupid=".intval($row["groupid"])."'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["gname"],3).")</a></small>";
			} else {
				$all_lec_arr[$row["weekday"]][$row["lec_time"]] .=
					"<br/><small><a href='show_user_lec_data.php?groupid=".intval($row["groupid"])."'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["gname"],3).")</a></small>";
			}
		}


		$this->all_lec_arr  = $all_lec_arr;
		return true;


	}

	function setTblBodyForUser ($is_only_taken=0) {

		global $xoopsDB;

		$tbl_body = "";

		//$lec_arr = $this->lec_arr;
		$lec_arr = $this->user_taken_lec_arr;

		$all_lec_arr = $this->all_lec_arr;

		$base_time_arr = array();
		$sql = "SELECT * FROM ".LEC_TIME_TBL." ORDER BY weekday";
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$base_time_arr[$row["weekday"]][$row["lec_time"]]=$row;
		}

		for ($i =0; $i < 7; $i++) {
			// $iϽ
			$tbl_body .= "<tr";

			if ($i%2 == 0)  $tbl_body .= " bgcolor='lightgrey'";

			$tbl_body .="><td>";
			if ($i==0) {
				$tbl_body .=_MI_U_SOLOMON_COMMON_SUNDAY;
			}
			if ($i==1) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_MONDAY;
			}
			if ($i==2) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_TUESDAY;
			}
			if ($i==3) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_WEDNESDAY;
			}
			if ($i==4) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_THURSDAY;
			}
			if ($i==5) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_FRIDAY;
			}
			if ($i==6) {
				$tbl_body.=_MI_U_SOLOMON_COMMON_SATURDAY;
			}
			$tbl_body .= "</td>";

			for ($j=1; $j <= $this->max_time; $j++) {
				//if (isset($base_time_arr[$i][$j]) && isset($lec_arr[$i][$j])) {
				if (isset($base_time_arr[$i][$j])) {
					if (isset($lec_arr[$i][$j])) {

						//echo $is_only_taken."<br/>";

						$tbl_body .= "<td>".$lec_arr[$i][$j];
						if ($is_only_taken==0) {
							$tbl_body .= " ("._MI_U_SOLOMON_COMMON_TAKEN_LEC.")";
						}
						$tbl_body .= "</td>";
					} else if (isset($all_lec_arr[$i][$j]) && $is_only_taken==0) {
						$tbl_body .= "<td>".$all_lec_arr[$i][$j]."</td>";
					} else {
						$tbl_body .= "<td><br/></td>";
					}
				} else {
					$tbl_body .= "<td><br/></td>";
				}

			}
		}


		//$this->tbl_body = $tbl_body;
		$this->tbl_body_for_user = $tbl_body;

	}

	function getTblBodyForUser () {
		return $this->tbl_body_for_user;
	}

}

class CTeacherScheduleMaker extends CScheduleTableMaker {
	/*
	 * ¦
	 */

	function CTeacherScheduleMaker () {

	}

	function setTeacherHeldLecArr ($teacher_id, $yearmon="") {
		global $xoopsDB;
		//桼ƤȤΥ塼
		if (!is_numeric($teacher_id)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}


		$lec_arr = array();
		$base_date = "";

		if ($yearmon == "") {
			$base_date = "NOW()";
		} elseif (is_numeric($yearmon)) {
			$base_date = "'".substr($yearmon,0,4)."-".substr($yearmon,4,2)."-01 00:00:00'";
		} else {

			$this->err_msg = "Year Parameter Error";
			return false;
		}


		$sql="SELECT ltlt.weekday, ltlt.lec_time, gt.name AS gname,ltlt.groupid, st.subject_name, sglt.subject_id FROM ";
		$sql .= GROUP_TIME_LINK_TBL." AS ltlt, ".CLASS_TBL." gt, ".SUBJECT_GROUP_LINK_TBL." AS sglt, ";
		$sql .= CLASS_TEA_TBL." AS ctt, ".SUBJECT_TBL." AS st";
		$sql .= " WHERE gt.groupid = sglt.groupid AND gt.groupid = ltlt.groupid AND ctt.groupid = gt.groupid ";
		$sql .= "AND ctt.uid = ".$teacher_id." AND st.subject_id = sglt.subject_id AND ";

		//mysqlȼSQL
		$sql .= "sglt.start_mon <= DATE_FORMAT( ".$base_date." , '%Y%m' ) AND ";
		$sql .= "sglt.start_mon > DATE_FORMAT( DATE_ADD( ".$base_date.", INTERVAL - sglt.period WEEK ) , '%Y%m' )";


		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$lec_arr[$row["weekday"]][$row["lec_time"]] =
			"<a href='lec_info.php?groupid=".intval($row["groupid"])."&subject_id=".intval($row["subject_id"])."'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["gname"],3).")</a>";
		}


		$this->lec_arr  = $lec_arr;
		return true;
	}

}

class CAdminScheduleMaker {
	//Ըֳɽ
	function CAdminScheduleMaker () {

	}

	var $max_time=0;
	var $tbl_header;
	var $tbl_body;
	var $lec_arr = array();
	var $err_msg="";
	var $sub_csv="";


	function main ($yearmon="", $faculty_id=0) {

		$this->setMaxTime();
		$this->setTblHeader();

		$this->setSubCsv ($faculty_id);

		if (!$this->setAllLecArr($yearmon)) return false;

		$this->setTblBody();
	}

	function getErrMsg () {

		return $this->err_msg;
	}


	function setMaxTime () {

		global $xoopsDB;

		$max_time = 0;

		$sql = "SELECT MAX(lec_time) AS max_time FROM ".LEC_TIME_TBL;

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$max_time = $row["max_time"];
		}
		$this->max_time = $max_time;
	}

	function setTblHeader () {

		$time_tbl_head = "<tr bgcolor='lightgreen'><th><br/></th>";
		for ($i=0; $i<$this->max_time; $i++) {
			$time_tbl_head .="<th>".($i+1)._MI_A_SOLOMON_ADMIN_LEC_TIME_UNIT."</th>";
		}
		$time_tbl_head .= "</tr>";

		$this->tbl_header = $time_tbl_head;


	}

	function getTblHeader () {

		return $this->tbl_header;
	}


	function setTblBody () {

		global $xoopsDB;

		$tbl_body = "";

		$lec_arr = $this->lec_arr;

		$base_time_arr = array();
		$sql = "SELECT * FROM ".LEC_TIME_TBL." ORDER BY weekday";
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$base_time_arr[$row["weekday"]][$row["lec_time"]]=$row;
		}

		for ($i =0; $i < 7; $i++) {
			// $iϽ
			$tbl_body .= "<tr";

			if ($i%2 == 0)  $tbl_body .= " bgcolor='lightgrey'";

			$tbl_body .="><td>";
			if ($i==0) {
				$tbl_body .=_MI_A_SOLOMON_ADMIN_SUNDAY;
			}
			if ($i==1) {
				$tbl_body.=_MI_A_SOLOMON_ADMIN_MONDAY;
			}
			if ($i==2) {
				$tbl_body.=_MI_A_SOLOMON_ADMIN_TUESDAY;
			}
			if ($i==3) {
				$tbl_body.=_MI_A_SOLOMON_ADMIN_WEDNESDAY;
			}
			if ($i==4) {
				$tbl_body.=_MI_A_SOLOMON_ADMIN_THURSDAY;
			}
			if ($i==5) {
				$tbl_body.=_MI_A_SOLOMON_ADMIN_FRIDAY;
			}
			if ($i==6) {
				$tbl_body.=_MI_A_SOLOMON_ADMIN_SATURDAY;
			}
			$tbl_body .= "</td>";

			for ($j=1; $j <= $this->max_time; $j++) {
				if (isset($base_time_arr[$i][$j]) && isset($lec_arr[$i][$j])) {

					$tbl_body .= "<td>".$lec_arr[$i][$j]."</td>";

				} else {
					$tbl_body .= "<td><br/></td>";
				}

			}
		}


		$this->tbl_body = $tbl_body;
	}

	function getTblBody () {

		return $this->tbl_body;
	}

	function setSubCsv ($fac_id) {
		global $xoopsDB;

		$sub_csv="";

		$sql = "SELECT st.subject_id FROM ".SUBJECT_TBL." AS st, ".SUBJECT_TYPE_LINK_TBL." AS stlt, ";
		$sql .= SUBJECT_TYPE_TBL." AS stt WHERE st.subject_id = stlt.subject_id AND stlt.subject_type_id =";
		$sql .= "stt.subject_type_id AND (";
		if (is_numeric($fac_id) && $fac_id <> 0) {
			$sql .="faculty_id = ".$fac_id." OR ";
		}
		//ꤷʤfaculty_id0
		$sql .= "faculty_id=0)";
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$sub_csv .= $row["subject_id"].",";
		}
		if ($sub_csv<>"") $sub_csv=substr($sub_csv,0,-1);


		$this->sub_csv = $sub_csv;
	}


	function setAllLecArr ($yearmon="") {

		global $xoopsDB;

		$all_lec_arr = array();
		$base_date = "";

		if ($yearmon == "") {
			$base_date = "NOW()";
		} elseif (is_numeric($yearmon)) {
			$base_date = "'".substr($yearmon,0,4)."-".substr($yearmon,4,2)."-01 00:00:00'";
		} else {
			$this->err_msg = "Year Parameter Error";
			return false;
		}


		$sql="SELECT ltlt.weekday, ltlt.lec_time, gt.name AS gname, ltlt.groupid, st.subject_name FROM ";
		$sql .= GROUP_TIME_LINK_TBL." AS ltlt, ".CLASS_TBL." gt, ".SUBJECT_GROUP_LINK_TBL;
		$sql .= " AS sglt, ".SUBJECT_TBL." AS st WHERE gt.groupid = sglt.groupid AND gt.groupid = ltlt.groupid AND st.subject_id=sglt.subject_id AND ";

		//echo $base_date."<br/>";

		//mysqlȼSQL
		$sql .= "sglt.start_mon <= DATE_FORMAT( ".$base_date." , '%Y%m' ) AND ";
		$sql .= "sglt.start_mon > DATE_FORMAT( DATE_ADD( ".$base_date." , INTERVAL - sglt.period WEEK ) , '%Y%m' )";

		//ز
		if ($this->sub_csv <> "" && (is_numeric($this->sub_csv) || mb_ereg('[0-9]+,[0-9]+', $this->sub_csv))) {
			$sql .= " AND st.subject_id IN (".$this->sub_csv.")";
		}

		//echo $sql;

		$res = $xoopsDB->query($sql);

//		echo $sql;

		while($row = $xoopsDB->fetchArray($res)){
			if (!isset($all_lec_arr[$row["weekday"]]) || !isset($all_lec_arr[$row["weekday"]][$row["lec_time"]])) {
				$all_lec_arr[$row["weekday"]][$row["lec_time"]] =
				"<a href='set_group_time_sub.php?groupid=".intval($row["groupid"])."&gname=".urlencode($row["gname"])."'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["gname"],3).")</a>";
			} else {
				$all_lec_arr[$row["weekday"]][$row["lec_time"]] .=
				"<br/><a href='set_group_time_sub.php?groupid=".intval($row["groupid"])."&gname=".urlencode($row["gname"])."'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["gname"],3).")</a>";
			}
		}


		$this->lec_arr = $all_lec_arr;
		return true;


	}

}

class CAdminCheckUserSchedule extends CAdminScheduleMaker {
	//var $user_taken_lec_arr = array();

	function CAdminCheckUserSchedule () {}

	function setUserTakenLecArr ($uid,$yearmon="") {

		global $xoopsDB;
		//桼ƤȤΥ塼
		if (!is_numeric($uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}


		$lec_arr = array();
		$base_date = "";

		if ($yearmon == "") {
			$base_date = "NOW()";
		} elseif (is_numeric($yearmon)) {
			$base_date = "'".substr($yearmon,0,4)."-".substr($yearmon,4,2)."-01 00:00:00'";
		} else {
			$this->err_msg = "Year Parameter Error";
			return false;
		}


		$sql="SELECT ltlt.weekday, ltlt.lec_time, gt.name AS gname,ltlt.groupid, st.subject_name FROM ";
		$sql .= GROUP_TIME_LINK_TBL." AS ltlt, ".CLASS_TBL." gt, ".SUBJECT_GROUP_LINK_TBL." AS sglt, ";
		$sql .= CLASS_SU_TBL." AS cst, ".SUBJECT_TBL." AS st";
		$sql .= " WHERE gt.groupid = sglt.groupid AND gt.groupid = ltlt.groupid AND cst.groupid = gt.groupid ";
		$sql .= "AND cst.uid = ".$uid." AND st.subject_id = sglt.subject_id AND ";

		//mysqlȼSQL
		$sql .= "sglt.start_mon <= DATE_FORMAT( ".$base_date." , '%Y%m' ) AND ";
		$sql .= "sglt.start_mon > DATE_FORMAT( DATE_ADD( ".$base_date.", INTERVAL - sglt.period WEEK ) , '%Y%m' )";

		//echo $sql;

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			if (isset($lec_arr[$row["weekday"]]) && isset($lec_arr[$row["weekday"]][$row["lec_time"]])) {
				$lec_arr[$row["weekday"]][$row["lec_time"]] = "<font color='red'>alert</font><br/>".$lec_arr[$row["weekday"]][$row["lec_time"]]."<br/>";
				$lec_arr[$row["weekday"]][$row["lec_time"]] .=
				"<a href='group_edit.php?g_id=".intval($row["groupid"])."&name=".urlencode($row["gname"])."'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["gname"],3).")</a>";
			} else {


			$lec_arr[$row["weekday"]][$row["lec_time"]] =
			"<a href='group_edit.php?g_id=".intval($row["groupid"])."&name=".urlencode($row["gname"])."'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["gname"],3).")</a>";
			}
		}

		$this->lec_arr = $lec_arr;

		return true;
	}
}


class CLecDataViewer {
	/*Ⱦɽ饹
	 *
	 */

	var $lec_title="";
	var $teacher_name="";
	var $lec_type_info="";
	var $groupid;
	var $err_msg = "";
	var $goal_tbl_obj;

	var $goal_list="";

	var $mem_list="";
	var $mem_num=0;

	var $lec_explain="";
	var $policy="";
	var $uid_csv = "";

	var $mot_sat_list="";
	var $mot_ana_list = "";

	var $credit_ana_data;

	function CLecDataViewer () {

	}

	function main ($groupid) {
		if (!is_numeric($groupid)) {

			return false;
		}

		$this->groupid = $groupid;
		$this->goal_tbl_obj = new CLecGoalTableMaker();
		$this->goal_tbl_obj->main($groupid);
		$err_msg = $this->goal_tbl_obj->getErrMsg();
		if ( $err_msg <> "") {
			$this->err_msg = $err_msg;
			return false;
		}

		return true;
	}

	function getErrMsg () {

		return $this->err_msg;
	}

	function setGoalList () {
		$goal_list = "";
		$this->goal_tbl_obj->setMotiveShowTbl();
		$this->goal_tbl_obj->setMotiveText();

		$goal_list = $this->goal_tbl_obj->getMotiveShowTbl();

		$this->goal_list = $goal_list;


	}

	function getGoalList () {
		return $this->goal_list;
	}

	function setMotSatList () {
		$mot_sat_list = "";

		global $xoopsDB;

		//2016/1/4add ߤɾ




		$sql = "SELECT AVG(msgt.eval) AS avge, MAX(msgt.eval) AS maxe, MIN(msgt.eval) AS mine, msgt.motive_id, mt.motive_text FROM ";
		$sql .=MOTIVE_SAT_GROUP_TBL." AS msgt,".MOTIVE_TBL." AS mt WHERE mt.motive_id = msgt.motive_id AND ";
		$sql .= "msgt.groupid = '".mysql_real_escape_string($this->groupid)."' GROUP BY motive_id, motive_text";

		$res = $xoopsDB->query($sql);

		$i=0;
		while($row = $xoopsDB->fetchArray($res)){
			$mot_sat_list .= "<tr";
			if ($i%2==0) $mot_sat_list .= " bgcolor ='lightgrey'";
			$mot_sat_list .= ">";
			$mot_sat_list .= "<td>".htmlspecialchars($row["motive_text"],3)."</td>";
			$mot_sat_list .= "<td>".round($row["avge"],2)."</td>";
			$mot_sat_list .= "<td>".$row["maxe"]."</td>";
			$mot_sat_list .= "<td>".$row["mine"]."</td></tr>";

			$i++;
		}

		//롼ȼɸ
		$sql = "SELECT AVG(msgt.eval) AS avge, MAX(msgt.eval) AS maxe, MIN(msgt.eval) AS mine, mt.motive_text FROM ";
		$sql .=MOTIVE_SAT_GROUP_TBL." AS msgt,".LEC_MOTIVE_TEXT_TBL." AS mt WHERE mt.groupid = msgt.groupid AND ";
		$sql .= "msgt.groupid = '".mysql_real_escape_string($this->groupid)."' AND msgt.is_text= 2 GROUP BY motive_text";

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$mot_sat_list .= "<tr";
			if ($i%2==0) $mot_sat_list .= " bgcolor ='lightgrey'";
			$mot_sat_list .= ">";
			$mot_sat_list .= "<td>".htmlspecialchars($row["motive_text"],3)."</td>";
			$mot_sat_list .= "<td>".round($row["avge"],2)."</td>";
			$mot_sat_list .= "<td>".$row["maxe"]."</td>";
			$mot_sat_list .= "<td>".$row["mine"]."</td></tr>";

			$i++;
		}

		//ƥ桼ȼɸ
		$sql = "SELECT AVG(msgt.eval) AS avge, MAX(msgt.eval) AS maxe, MIN(msgt.eval) AS mine,umtt.motive_text FROM ";
		$sql .= USER_MOTIVE_TEXT_TBL." AS umtt, ".CLASS_SU_TBL. " AS cst,";
		$sql .= MOTIVE_SAT_GROUP_TBL." as msgt WHERE ";
		$sql .= "cst.uid = umtt.uid AND cst.groupid =msgt.groupid AND msgt.groupid ='".mysql_real_escape_string($this->groupid)."' AND msgt.is_text= 1 GROUP BY motive_text";



		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$mot_sat_list .= "<tr";
			if ($i%2==0) $mot_sat_list .= " bgcolor ='lightgrey'";
			$mot_sat_list .= ">";
			$mot_sat_list .= "<td>".htmlspecialchars($row["motive_text"],3)."("._MI_U_SOLOMON_COMMON_USER_ORIGINAL_GOAL.")</td>";
			$mot_sat_list .= "<td>".round($row["avge"],2)."</td>";
			$mot_sat_list .= "<td>".$row["maxe"]."</td>";
			$mot_sat_list .= "<td>".$row["mine"]."</td></tr>";

			$i++;
		}

		if ($mot_sat_list <> "") {
			$header = "<tr><th>"._MI_U_SOLOMON_COMMON_MOTIVE_NAME."</th><th>"._MI_U_SOLOMON_COMMON_AVERAGE."</th>";
			$header .= "<th>"._MI_U_SOLOMON_COMMON_MAX."</th><th>"._MI_U_SOLOMON_COMMON_MIN."</th></tr>";
			$mot_sat_list = $header.$mot_sat_list;

			$mot_sat_list ="<table><caption>"._MI_U_SOLOMON_MOTIVE_SATIS_LIST."<caption>".$mot_sat_list."</table>";
			$mot_sat_list = "<hr/>".$mot_sat_list."<hr/>";
		}

		$this->mot_sat_list = $mot_sat_list;

	}

	function getMotSatList () {

		return $this->mot_sat_list;
	}

	function setLecTitle () {


		global $xoopsDB;


		$lec_title ="";


		$sql = "SELECT * FROM ".CLASS_TBL." WHERE groupid = '".$this->groupid."'";
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$lec_title = "<h2>".htmlspecialchars($row["name"],3)."</h2>";
		}


		$sql = "SELECT stt.subject_type_name, sglt.start_mon, st.credit, st.subject_name, st.subject_explain FROM ".SUBJECT_TYPE_TBL;
		$sql .= " AS stt, ".SUBJECT_GROUP_LINK_TBL." AS sglt, ".SUBJECT_TBL." AS st, ".SUBJECT_TYPE_LINK_TBL;
		$sql .= " AS stlt WHERE st.subject_id = stlt.subject_id AND stt.subject_type_id = stlt.subject_type_id ";

		$sql .= "AND sglt.subject_id=st.subject_id AND sglt.groupid='".$this->groupid."'";

		$res = $xoopsDB->query($sql);

		while($row = $xoopsDB->fetchArray($res)){
			$lec_title.="<h3>".htmlspecialchars($row["subject_name"],3)."(";
			$lec_title.= htmlspecialchars($row["subject_type_name"],3).")</h3>";
		}


		//var_dump($lec_title);
		$this->lec_title = $lec_title;
	}

	function getLecTitle () {

		return $this->lec_title;
	}

	function setMemList () {
		global $xoopsDB;

		$mem_list="";
		$mem_num=0;
		$uid_csv = "";

		if (!is_numeric($this->groupid)) {


			return false;
		}

		$sql = "SELECT ut.uname AS log_name, ut.name AS usr_name, ut.uid, sait.faculty_id, sait.ins_year FROM ";


		$sql .= USER_TBL." AS ut, ".CLASS_SU_TBL." AS cst LEFT JOIN ".STUDENT_ADD_INFO_TBL;
		$sql .= " AS sait ON sait.uid = cst.uid ";
		$sql .= "WHERE ut.uid=cst.uid  AND cst.groupid ='".$this->groupid."'";

		/*
		$sql .= USER_TBL." AS ut LEFT JOIN ON ut.uid = ";
		$sql .= " WHERE cst.groupid ='".$this->groupid."'";
		*/
		//echo $sql;

		$res = $xoopsDB->query($sql);

		while($row = $xoopsDB->fetchArray($res)){

			$mem_list .= "<tr><td>";

			//2016/7/21add

			$mem_list .="<a href='show_user_lec_data.php?uid=".$row["uid"]."&groupid=".$this->groupid."'>";
			$mem_list .=htmlspecialchars($row["usr_name"],3);

			//2016/7/21add
			$mem_list .="</a>";

			$mem_list .=" (".$row["ins_year"].")";

			$mem_list .= "</td></tr>";
			$uid_csv .= $row["uid"].",";
			$mem_num++;
		}

		$this->mem_num=$mem_num;
		$this->mem_list = $mem_list;

		$this->uid_csv = $uid_csv;
	}

	function getMemList () {
		return $this->mem_list;
	}

	function getMemNum () {

		return $this->mem_num;
	}

	function setAddInfo () {
		global $xoopsDB;
		if (!is_numeric($this->groupid)) {

			return false;
		}

		$addinfo = "";
		$sql = "SELECT * FROM ".ADD_LEC_INFO_TBL." WHERE groupid = '".$this->groupid."'";

		$res = $xoopsDB->query($sql);

		if (!$res) {
			return false;
		}

		while($row = $xoopsDB->fetchArray($res)){


			$this->lec_explain = $row["lec_explain"];
			$this->policy= $row["policy"];
		}

		return true;
	}

	function getLecExplain () {

		return $this->lec_explain;
	}

	function getPolicy () {
		return $this->policy;
	}

	function setMotAnaList () {
//ּɸνפ򥻥å
		$mot_ana_list = "";

		global $xoopsDB;

		$sql = "SELECT count(umt.points) AS point_num, avg(umt.points) AS point_ave, mt.motive_text, mt.motive_id FROM ";
		$sql .= MOTIVE_TBL." AS mt, ".CLASS_SU_TBL." AS cst,".USER_MOTIVE_TBL." AS umt ";
		$sql .= "WHERE cst.uid = umt.uid AND mt.motive_id = umt.motive_id AND ";
		$sql .= "cst.groupid = '".mysql_real_escape_string($this->groupid)."' GROUP BY motive_id, motive_text";

		$res = $xoopsDB->query($sql);

		$i=0;
		while($row = $xoopsDB->fetchArray($res)){
			$mot_ana_list .= "<tr";
			if ($i%2==0) $mot_ana_list .= " bgcolor ='lightgrey'";
			$mot_ana_list .= ">";
			$mot_ana_list .= "<td>".htmlspecialchars($row["motive_text"],3)."</td>";
			$mot_ana_list .= "<td>".$row["point_num"]."</td>";
			$mot_ana_list .= "<td>".round($row["point_ave"],2)."</td></tr>";
			$i++;
		}

		//ƥ桼ȼɸ
		$sql = "SELECT AVG(umtt.points) AS avgp, COUNT(umtt.points) cnt, umtt.motive_text FROM ";
		$sql .= USER_MOTIVE_TEXT_TBL." AS umtt, ".CLASS_SU_TBL. " AS cst WHERE ";
		$sql .= "cst.uid = umtt.uid AND cst.groupid ='".mysql_real_escape_string($this->groupid)."' AND umtt.motive_text != '' GROUP BY motive_text";

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$mot_ana_list .= "<tr";
			if ($i%2==0) $mot_ana_list .= " bgcolor ='lightgrey'";
			$mot_ana_list .= ">";
			$mot_ana_list .= "<td>".htmlspecialchars($row["motive_text"],3)."("._MI_U_SOLOMON_COMMON_USER_ORIGINAL_GOAL.")</td>";
			$mot_ana_list .= "<td>".$row["cnt"]."</td>";
			$mot_ana_list .= "<td>".round($row["avgp"],2)."</td></tr>";
			$i++;
		}

		if ($mot_ana_list <> "") {
			$header = "<tr><th>"._MI_U_SOLOMON_COMMON_MOTIVE_NAME."</th><th>"._MI_U_SOLOMON_COMMON_COUNT."</th>";
			$header .= "<th>"._MI_U_SOLOMON_COMMON_AVERAGE."</th></tr>";
			$mot_ana_list = $header.$mot_ana_list;

			$mot_ana_list ="<table><caption>"._MI_U_SOLOMON_MOTIVE_ANA_LIST."<caption>".$mot_ana_list."</table>";
			$mot_ana_list = "<hr/>".$mot_ana_list."<hr/>";
		}



		$this->mot_ana_list = $mot_ana_list;
	}

	function getMotAnaList () {

		return $this->mot_ana_list;
	}

	function setCreditAndData ($subject_id) {
		//ñ̤˴ؤ
		$credit_ana_data = "";


		if (!is_numeric($subject_id)) {
			$this->err_msg= "Parameter Error Subject Id";
			return false;
		}

		global $xoopsDB;

		$sql = "SELECT avg(ct.grade) AS aveg, ((SUM(CASE WHEN ct.is_pass=1 THEN 1 ELSE 0 END)) / count(ct.grade)*100) AS passr ";
		$sql .= "FROM ".REGISTED_CLASS_TBL." AS rct, ".CREDIT_TBL." AS ct, ".CLASS_SU_TBL." AS cst WHERE ";
		$sql .= "rct.get_credit = ct.credit_id AND rct.subject_id = ".$subject_id." AND cst.uid = rct.uid AND ";
		$sql .= "cst.groupid ='".mysql_real_escape_string($this->groupid)."'";

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			if ($row["aveg"] != null) {
			$credit_ana_data = "<br/>"._MI_U_SOLOMON_COMMON_CREDIT_AVE.":".round($row["aveg"],2)."<br/>";
			$credit_ana_data .= _MI_U_SOLOMON_COMMON_PASS_RAT.":".round($row["passr"],2)."%";
			}
		}

		$this->credit_ana_data = $credit_ana_data;
	}

	function getCreditAnaData () {
		return $this->credit_ana_data;
	}

}

class CLecDataViewerForCourseTeacher extends CLecDataViewer {
	/*
	 * ¦饳򸫤롣ɲõǽ
	 */
	function CLecDataViewerForCourseTeacher () {

	}
}

class CMemberListForCredit {
	//¦Ӥդ뤿Υꥹ

	var $subject_id;
	var $groupid;
	var $member_list = "";
	var $err_msg = "";
	var $credit_arr = array();
	var $course_credit_reg_obj;

	function CMemberListForCredit () {

	}

	function main($groupid, $subject_id="") {
		$err_msg = "";
		if ($subject_id <> "" && !is_numeric($subject_id)) {
			$err_msg = "Parameter Error SubjectID<br/>";

		}

		if (!is_numeric($groupid)) {
			$err_msg .= "Parameter Error Group Id<br/>";

		}
		$this->course_credit_reg_obj = new CCourseCreditRegistTeacher();
		$this->course_credit_reg_obj->main($groupid);
		if ($err_msg <> "") {
			return false;
		}
		$this->groupid = $groupid;
		$this->subject_id = $subject_id;


		return true;

	}

	function getErrMsg () {

		return $this->err_msg;
	}

	function setMemberList ($action_link) {
		if (!is_numeric($this->groupid)) {
			return false;
		}
		if (!is_numeric($this->subject_id)) {
			return false;
		}

		global $xoopsDB;

		$member_list = "";

		$sql="SELECT ut.uname, ut.uid,ut.name, glt.linkid, rct.get_credit FROM ";
		$sql .= USER_TBL." AS ut, ".GU_LINK_TBL." AS glt, ".REGISTED_CLASS_TBL." AS rct ";
		$sql .= "WHERE ut.uid =glt.uid AND rct.group_user_link = glt.linkid AND ";
		$sql .= "rct.subject_id =".$this->subject_id." ORDER BY uname";

		$res = $xoopsDB->query($sql);
//echo $sql;
		if (!$res) {
//echo $sql;
			return false;
		}


$i=1;
		while ($row = $xoopsDB->fetchArray($res)) {
			$member_list .= "<tr class='";

			if ($i%2 == 1) {
				$member_list .= "odd";
			} else {
				$member_list .= "even";
			}
			$i++;

			$member_list .= "'><td width='40%'>";

			$member_list .= htmlspecialchars($row["uname"],3)."</td><td width='40%'>";
			$member_list .= htmlspecialchars($row["name"],3)."</td><td width='20%'>";

			$this->course_credit_reg_obj->setCreditSetButton($this->subject_id, $action_link, $row["uid"],$row["linkid"],$row["get_credit"]);
			$member_list .= $this->course_credit_reg_obj->getCrediSetButton();

			$member_list .= "<br/></td></tr>";

		}

		if ($member_list <> "") {
			$member_list = "<table border=1>".$member_list."</table>";
		}



		$this->member_list = $member_list;

		return true;
	}


	function getMemberList () {

		return $this->member_list;

	}

	function creditRegistExe ($post_data) {
		//Ӥꤹ

		if (!isset($post_data["credit_set_flag"]) || $post_data["credit_set_flag"] <> 1 ||
	!isset($post_data["gid"]) || !is_numeric($post_data["gid"]) || !isset($post_data["subject_id"]) ||
	!is_numeric($post_data["subject_id"]) || !isset($post_data["uid"]) ||!is_numeric($post_data["uid"]) || !isset($post_data["credit"]) || !is_numeric($post_data["credit"])
	||!isset($post_data["linkid"])
	|| !is_numeric($post_data["linkid"])) {
			$this->err_msg = "Parameter Error by Credit Set";
			return false;
		}

		global $xoopsDB;

		$sql = "UPDATE ".REGISTED_CLASS_TBL." SET get_credit ='".$post_data["credit"]."', update_time=now() WHERE group_user_link=";
		$sql .= $post_data["linkid"]." AND uid =".$post_data["uid"]." AND subject_id = ".$post_data["subject_id"];

		if (!$xoopsDB->query($sql)) {
			$this->err_msg = "";
			return false;
		}


		return true;
	}



}

class CLecDataViewerForUser extends CLecDataViewer {
	/*
	 * ּ̼Ըιֺ¾
	 */

	var $personal_mot_list= "";
	var $relate_lec_list = "";

	var $self_reg_form="";
	var $uid;
	var $link_to_nome="";
	var $st_name="";

	function CLecDataViewerForUser () {

	}

	function setUid ($uid) {
		if (!is_numeric($uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}

		$this->uid = $uid;
		return true;
	}

	function setStName () {
		if (!is_numeric($this->uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}
		global $xoopsDB;
		$st_name="";
		$sql = "SELECT * FROM ".USER_TBL." WHERE uid = ".$this->uid;
//echo "sss";
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$st_name = htmlspecialchars($row["name"],3)."(".htmlspecialchars($row["uname"],3).")";
		}

		$this->st_name = $st_name;
		return true;

	}

	function getStName () {

		return $this->st_name;
	}

	function setPersonalMotList () {
		if (!is_numeric($this->uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}

		$mot_obj = new CMotiveTableMaker();

		$mot_obj->main($this->uid);

		$mot_obj->setMotiveShowTbl();
		$mot_obj->setMotiveText();

		$this->personal_mot_list = $mot_obj->getMotiveShowTbl();

		return true;
	}

	function getPersonalMotList () {

		return $this->personal_mot_list;
	}

	function setRelateLecList () {
		//Υ֤Ƥ桼֤Ƥ¾ΥΥꥹ
		$uid_csv = "";
		$relate_lec_list="";


		if ($this->uid_csv <> "") $uid_csv = substr($this->uid_csv, 0, -1);
		if ($uid_csv <> "" && (is_numeric($uid_csv) || mb_ereg('[0-9]+,[0-9]+', $uid_csv))) {
			global $xoopsDB;
			$sql = "SELECT COUNT(cst.uid) AS ucnt, ct.name AS gname FROM ";
			$sql .= CLASS_TBL." AS ct, ".SUBJECT_GROUP_LINK_TBL." AS sglt, ";
			$sql .= CLASS_SU_TBL." AS cst WHERE ";

			$sql .= "cst.groupid = ct.groupid AND sglt.groupid = cst.groupid AND ";
			$sql .= "cst.uid IN (".$uid_csv.") ";

			$sql .= "AND sglt.start_mon <= DATE_FORMAT( NOW() , '%Y%m' ) AND ";
			$sql .= "sglt.start_mon > DATE_FORMAT( DATE_ADD( NOW(), INTERVAL - sglt.period WEEK ) , '%Y%m' ) ";

			$sql .= "GROUP BY gname";

			//echo $sql;

			$res = $xoopsDB->query($sql);
			while($row = $xoopsDB->fetchArray($res)){
				$relate_lec_list .= htmlspecialchars($row["gname"],3)." (".htmlspecialchars($row["ucnt"],3).")<br/>";
			}

			$this->relate_lec_list = $relate_lec_list;
		}
	}

	function getRelateLecList () {
		return $this->relate_lec_list;
	}

	function setSelfRegForm () {
		if (!is_numeric($this->uid)) {


			return false;
		}
		if (!is_numeric($this->groupid)) {

			return false;
		}

		global $xoopsDB;

		$input_flag=1;


		$self_reg_form = "<form action='show_user_lec_data.php'>";
		$self_reg_form .= "<input type='hidden' name='reg_input_flag' value='";



		$sql = "SELECT * FROM ".CLASS_SU_TBL." WHERE groupid=".$this->groupid." AND uid =".$this->uid;
		$res = $xoopsDB->query($sql);

		//echo $sql;

		while($row = $xoopsDB->fetchArray($res)){
			$input_flag = 2;
		}
		$self_reg_form .= $input_flag."'/>";
		$self_reg_form .= "<input type='submit' value='";

		if ($input_flag == 1) {
			$self_reg_form .=_MI_U_SOLOMON_STUDENT_ATEND_LEC_BUTTON;

		} else {
			$self_reg_form .=_MI_U_SOLOMON_STUDENT_NOATEND_LEC_BUTTON;

		}

		$self_reg_form .= "'/><input type='hidden' name='groupid' value='".$this->groupid."'/>";


		$self_reg_form .= "</form>";

		$this->self_reg_form = $self_reg_form;
		return true;
	}

	function getSelfRegForm () {

		return $this->self_reg_form;
	}

	function setLectTitleWithForm ($credit_reg_obj="",$action_link="") {

		if (!is_numeric($this->groupid) || is_null($this->uid)) {
			return false;

		}

		global $xoopsDB;

		$lec_title ="";
		$is_end_arr = array();
		$is_end_arr = $credit_reg_obj->getIsEndedArr();


		$input_flag=1;
		$sql = "SELECT * FROM ".CLASS_SU_TBL." WHERE groupid=".$this->groupid." AND uid =".$this->uid;

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$input_flag = 2;
		}

		$sql = "SELECT * FROM ".CLASS_TBL." WHERE groupid = '".$this->groupid."'";
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$lec_title = "<h2>".htmlspecialchars($row["name"],3)."</h2>";
		}

		//ֽʣåѡ֤åƱӤ˼ȤȤäƤݤ˥顼Ф
		//2017/4/15
		$ng_week_arr=array();
		$ng_time_arr=array();
		$same_cnt=0;
		$sql = "SELECT weekday, lec_time FROM ".GROUP_TIME_LINK_TBL." WHERE groupid = ".$this->groupid;
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)) {
			array_push($ng_week_arr,$row["weekday"]);
			array_push($ng_time_arr,$row["lec_time"]);
		}


//		$sql = "SELECT stt.subject_type_name, sglt.start_mon, st.credit, st.subject_name, st.subject_explain FROM ".SUBJECT_TYPE_TBL;
		$sql = "SELECT stt.subject_type_name, sglt.start_mon, sglt.period, st.credit, st.subject_name, st.subject_explain, st.subject_id FROM ".SUBJECT_TYPE_TBL;
		$sql .= " AS stt, ".SUBJECT_GROUP_LINK_TBL." AS sglt, ".SUBJECT_TBL." AS st, ".SUBJECT_TYPE_LINK_TBL;
		$sql .= " AS stlt WHERE st.subject_id = stlt.subject_id AND stt.subject_type_id = stlt.subject_type_id ";

		$sql .= "AND sglt.subject_id=st.subject_id AND sglt.groupid='".$this->groupid."'";

		$res = $xoopsDB->query($sql);


		$lec_title .= "<table border=1>";
		while($row = $xoopsDB->fetchArray($res)){
			$lec_title.="<tr bgcolor='lightgrey'><td valign='middle'><h3>".htmlspecialchars($row["subject_name"],3)."(";
//			$lec_title.= htmlspecialchars($row["subject_type_name"],3).")</h3>";
			$lec_title.= htmlspecialchars($row["subject_type_name"],3).")<br/></td>";

			if (count($ng_week_arr) >0) {
			//ǡΥ桼ƤܤȤνʣå
				$startdate = substr($row["start_mon"],0,4)."-".substr($row["start_mon"],4,2)."-01";
				$starttime = "'".$startdate." 00:00:00'";
				$endtime = "'".date("Y-m-d", strtotime($startdate."+".$row["period"]." week"))." 00:00:00'";

//				$sql2 = "SELECT sglt.subject_id, rct.group_user_link FROM ".SUBJECT_GROUP_LINK_TBL." AS sglt,".REGISTED_CLASS_TBL." AS rct WHERE  sglt.start_mon <= DATE_FORMAT( ".$endtime." , '%Y%m' )";
				$sql2 = "SELECT sglt.subject_id, rct.group_user_link FROM ".SUBJECT_GROUP_LINK_TBL." AS sglt,";
				$sql2 .=REGISTED_CLASS_TBL." AS rct,".GROUP_TIME_LINK_TBL." AS gtlt WHERE  sglt.start_mon <= DATE_FORMAT( ".$endtime." , '%Y%m' )";

				$sql2 .= "AND sglt.start_mon >= DATE_FORMAT( DATE_ADD( ".$starttime.", INTERVAL - sglt.period WEEK ) , '%Y%m' )";
				$sql2 .= " AND rct.subject_id = sglt.subject_id AND rct.uid=".$this->uid;

				$sql2.=" AND sglt.groupid=gtlt.groupid ";

				$ng_sql="";
				for ($i=0; $i<count($ng_week_arr);$i++) {
					$ng_sql .="(weekday=".$ng_week_arr[$i];
					$ng_sql.=" AND lec_time=".$ng_time_arr[$i].") OR ";
				}
				$ng_sql = "(".substr($ng_sql,0,-3).")";


				$sql2 .= $ng_sql;

				//$sql2 .= " AND sglt.subject_id=".$row["subject_id"];
				$res2 = $xoopsDB->query($sql2);
				//$same_cnt=0;
				$linkid = "";
				while ($row2 = $xoopsDB->fetchArray($res2)) {
					$same_cnt++;
					$linkid = $row2["group_user_link"];
				}
			}

			if (SELF_REGIST == 1) {
			$credit_reg_obj->setBasicInfo($row["subject_id"]);
			$lec_title .= "<td valign='middle' align='center'>";

			if ($same_cnt>1) {
				//ʣ顼
				if ($credit_reg_obj->setRegistButton ($row["subject_id"], $action_link, $input_flag)) {
					$lec_title.=$credit_reg_obj->getRegistButton();
				}
				$lec_title .= " (<font color='red'>"._MI_U_SOLOMON_STUDENT_CREDIT_DUP_ERR."</font>)";

			} else {
				//ǡ
				if ($credit_reg_obj->setRegistButton ($row["subject_id"], $action_link, $input_flag)) {
					$lec_title.=$credit_reg_obj->getRegistButton()."<br/>";
				}

				if (in_array($row["subject_id"],$is_end_arr)) {
					//ȤλƤˤñ̤꤬Ǥ
//echo "link is".$linkid;
					if ($credit_reg_obj->setCreditSetButton($row["subject_id"],$action_link,$linkid)) {
						$lec_title.= $credit_reg_obj->getCrediSetButton();
					}
				}
			$lec_title.="</td>";
			}

			}


			$lec_title.= "</h3></tr>";
		}
		$lec_title .= "</table>";


		//var_dump($lec_title);
		$this->lec_title = $lec_title;
		return true;
	}


	function setLinkToNome () {
		if (WITH_IFRIT <> 1) return false;
		if (!is_numeric($this->uid)) return false;
		if (!is_numeric($this->groupid)) return false;

		$sql = "SELECT * FROM ".CLASS_SU_TBL." WHERE groupid=".$this->groupid." AND uid =".$this->uid;
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$link_to_nome = "<a href='link_to_nome_user.php?groupid=".$this->groupid."'>"._MI_U_SOLOMON_COMMON_JUMP_TO_NOME."</a>";
		}

		$this->link_to_nome = $link_to_nome;
		return true;
	}

	function getLinkToNome () {
		return $this->link_to_nome;
	}

	function creditRegistExe ($post_data) {
		//Ӥꤹ

		if (!isset($post_data["credit_set_flag"]) || $post_data["credit_set_flag"] <> 1 ||
		!isset($post_data["groupid"]) || !is_numeric($post_data["groupid"]) || !isset($post_data["subject_id"]) ||
		!is_numeric($post_data["subject_id"]) || !isset($post_data["credit"]) || !is_numeric($post_data["credit"])
		||!isset($post_data["linkid"]) || !is_numeric($this->uid)
		|| !is_numeric($post_data["linkid"])) {
			$this->err_msg = "Parameter Error";
			return false;
		}

		global $xoopsDB;

		$sql = "UPDATE ".REGISTED_CLASS_TBL." SET get_credit ='".$post_data["credit"]."', update_time=now() WHERE group_user_link=";
		$sql .= $post_data["linkid"]." AND uid =".$this->uid." AND subject_id = ".$post_data["subject_id"];

		if (!$xoopsDB->query($sql)) {
			$this->err_msg = "";
			return false;
		}


		return true;
	}

	function setMemListForUser () {
		global $xoopsDB;

		$mem_list="";
		$mem_num=0;
		$uid_csv = "";

		if (!is_numeric($this->groupid)) {


			return false;
		}

		$sql = "SELECT ut.uname AS log_name, ut.name AS usr_name, ut.uid, sait.faculty_id, sait.ins_year FROM ";


		$sql .= USER_TBL." AS ut, ".CLASS_SU_TBL." AS cst LEFT JOIN ".STUDENT_ADD_INFO_TBL;
		$sql .= " AS sait ON sait.uid = cst.uid ";
		$sql .= "WHERE ut.uid=cst.uid  AND cst.groupid ='".$this->groupid."'";


		$res = $xoopsDB->query($sql);

		while($row = $xoopsDB->fetchArray($res)){

			$mem_list .= "<tr><td>";

			//2016/7/21add

//			$mem_list .="<a href='show_user_lec_data.php?uid=".$row["uid"]."&groupid=".$this->groupid."'>";
			$mem_list .=htmlspecialchars($row["usr_name"],3);

			//2016/7/21add
//			$mem_list .="</a>";

			$mem_list .=" (".$row["ins_year"].")";

			$mem_list .= "</td></tr>";
			$uid_csv .= $row["uid"].",";
			$mem_num++;
		}

		$this->mem_num=$mem_num;
		$this->mem_list = $mem_list;

		$this->uid_csv = $uid_csv;
	}
}

class CInsEvalSatisTeacher extends CLecDataViewerForUser {
	/*
	 * ¦ּԤã٤ɾդΤΥ饹
	 * 2016/12/26add
	 */

	var $goal_satis_reg_frm="";
	var $file_name="";

	function CInsEvalSatisTeacher () {

	}

	function setFileName ($file_name) {
		$this->file_name = htmlspecialchars($file_name,3);
	}

	function setGoalSatisRegFrm ($tea_id) {

		if (!is_numeric($this->uid) || !is_numeric($this->groupid) || !is_numeric($tea_id)) {
			$this->err_msg = "Patameter Error";
			return false;
		}

		$goal_satis_reg_frm="";
		global $xoopsDB;

		$goal_satis_nam_arr =array();
		$goal_satis_points_arr = array();

		$sql = "SELECT mt.motive_text, mt.motive_id FROM ".MOTIVE_TBL." AS mt,".USER_MOTIVE_TBL." AS umt WHERE ";
		$sql .="umt.uid=".$this->uid." AND umt.motive_id=mt.motive_id ";
		$sql .= "UNION SELECT mt.motive_text,mt.motive_id FROM ".MOTIVE_TBL." AS mt,".LEC_MOTIVE_TBL." AS lmt WHERE ";
		$sql .="lmt.groupid=".$this->groupid." AND lmt.motive_id=mt.motive_id";

		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$goal_satis_nam_arr[0][$row["motive_id"]]=htmlspecialchars($row["motive_text"],3);

		}

		//ֵȼɸ
		$sql = "SELECT * FROM ".LEC_MOTIVE_TEXT_TBL." WHERE groupid=".$this->groupid;
		$res = $xoopsDB->query($sql);
		while($row = $xoopsDB->fetchArray($res)){
			$goal_satis_nam_arr[1]=htmlspecialchars($row["motive_text"],3);
		}

		//ּȼɸ
		$sql="SELECT * FROM ".USER_MOTIVE_TEXT_TBL." WHERE uid =".$this->uid;

		$res = $xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			$goal_satis_nam_arr[2]=htmlspecialchars($row["motive_text"],3);
		}

		$sql = "SELECT * FROM ".MOTIVE_SAT_GT_TBL." WHERE student_id=".$this->uid." AND groupid=".$this->groupid;
		$sql .= " AND tea_id=".$tea_id." ORDER BY is_text";
		$res = $xoopsDB->query($sql);

		while ($row = $xoopsDB->fetchArray($res)) {
			if ($row["is_text"]==0) {
				$goal_satis_points_arr[$row["motive_id"]] = $row;
			} else if ($row["is_text"]==1) {
				$goal_satis_points_arr["lec_original"] = $row;
			} else if ($row["is_text"]==2) {
				$goal_satis_points_arr["user_original"] = $row;
			}
		}

		$points_pull_obj = new FivePullDown();

//		var_dump($goal_satis_nam_arr);

		foreach ($goal_satis_nam_arr as $mot_name_key=>$mot_name_arr) {
			if ($mot_name_key == 0) {
				foreach ($mot_name_arr as $motive_id=>$motive_name) {
					$goal_satis_reg_frm .= "<tr><td>".$motive_name."</td>";
					$points_pull_obj->setSelName("points_".$motive_id);

					if (isset($goal_satis_points_arr[$motive_id])) {
						//ɾƤƽ

						$points_pull_obj->setSelected(intval($goal_satis_points_arr[$motive_id]["points"]));

						$goal_satis_reg_frm .="<td>".$points_pull_obj->getPullDown()."</td>";
						$goal_satis_reg_frm .= "<td><textarea name='satis_comment_".$motive_id."' cols=50 rows=2>";
						$goal_satis_reg_frm .= htmlspecialchars($goal_satis_points_arr[$motive_id]["satis_comment"]);
						$goal_satis_reg_frm .= "</textarea>";

						$goal_satis_reg_frm .="<input type='hidden' name = 'up_motive_id[]' value='".$motive_id."'/>";
					} else {
						//ɾ
						$goal_satis_reg_frm .="<td>".$points_pull_obj->getPullDown()."</td>";
						$goal_satis_reg_frm .= "<td><textarea name='satis_comment_".$motive_id."' cols=50 rows=2>";
						$goal_satis_reg_frm .= "</textarea>";

						$goal_satis_reg_frm .="<input type='hidden' name='ins_motive_id[]' value='".$motive_id."'/>";
					}

					$goal_satis_reg_frm .= "</td></tr>";
				}

			} elseif ($mot_name_key == 1) {
				$goal_satis_reg_frm .= "<tr><td>".$mot_name_arr."("._MI_U_SOLOMON_COMMON_LEC_ORIGINAL_GOAL.")</td>";
				$points_pull_obj->setSelName("points_lec_original");
				if (isset($goal_satis_points_arr["lec_original"])) {
					$points_pull_obj->setSelected(intval($goal_satis_points_arr["lec_original"]["points"]));
					$goal_satis_reg_frm .="<td>".$points_pull_obj->getPullDown()."</td>";
					$goal_satis_reg_frm .= "<td><textarea name='satis_comment_lec_original' cols=50 rows=2>";
					$goal_satis_reg_frm .= htmlspecialchars($goal_satis_points_arr["lec_original"]["satis_comment"]);
					$goal_satis_reg_frm .= "</textarea>";
					$goal_satis_reg_frm .="<input type='hidden' name = 'up_motive_id[]' value='lec_original'/>";

				} else {
					$goal_satis_reg_frm .="<td>".$points_pull_obj->getPullDown()."</td>";
					$goal_satis_reg_frm .= "<td><textarea name='satis_comment_lec_original' cols=50 rows=2>";
					$goal_satis_reg_frm .= "</textarea>";
					$goal_satis_reg_frm .="<input type='hidden' name = 'ins_motive_id[]' value='lec_original'/>";
				}
				$goal_satis_reg_frm .= "</td></tr>";

			} elseif ($mot_name_key == 2) {
				$goal_satis_reg_frm .= "<tr><td>".$mot_name_arr."("._MI_U_SOLOMON_COMMON_USER_ORIGINAL_GOAL.")</td>";
				$points_pull_obj->setSelName("points_user_original");
				if (isset($goal_satis_points_arr["user_original"])) {
					$points_pull_obj->setSelected(intval($goal_satis_points_arr["user_original"]["points"]));
					$goal_satis_reg_frm .="<td>".$points_pull_obj->getPullDown()."</td>";
					$goal_satis_reg_frm .= "<td><textarea name='satis_comment_user_original' cols=50 rows=2>";
					$goal_satis_reg_frm .= htmlspecialchars($goal_satis_points_arr["user_original"]["satis_comment"]);
					$goal_satis_reg_frm .= "</textarea>";
					$goal_satis_reg_frm .="<input type='hidden' name = 'up_motive_id[]' value='user_original'/>";
				} else {
					$goal_satis_reg_frm .="<td>".$points_pull_obj->getPullDown()."</td>";
					$goal_satis_reg_frm .= "<td><textarea name='satis_comment_user_original' cols=50 rows=2>";
					$goal_satis_reg_frm .= "</textarea>";
					$goal_satis_reg_frm .="<input type='hidden' name = 'ins_motive_id[]' value='user_original'/>";
				}
				$goal_satis_reg_frm .= "</td></tr>";
			}
		}

		if ($goal_satis_reg_frm <> "") {

			$goal_satis_reg_frm = "<form action='".htmlspecialchars($this->file_name,3)."' method='POST'>".$goal_satis_reg_frm;

			$goal_satis_reg_frm = "<tr bgcolor='lightyellow'><th>"._MI_U_SOLOMON_COMMON_MOTIVE_NAME."</th><th>".
			_MI_U_SOLOMON_COMMON_EVAL_SATIS_GOAL."</th><th>".
			_MI_U_SOLOMON_COMMON_COMMENT."</th></tr>".$goal_satis_reg_frm;

			$goal_satis_reg_frm = "<caption>"._MI_U_SOLOMON_MOTIVE_SATIS_SET_TEA."</caption>".$goal_satis_reg_frm;
			$goal_satis_reg_frm .= "<tr><td colspan=3 align='center'>";
			$goal_satis_reg_frm .= "<input type='submit' value='"._MI_U_SOLOMON_COMMON_SET."'/></td></tr>";



			$goal_satis_reg_frm .= "<input type='hidden' name='uid' value='".$this->uid."'/>";
			$goal_satis_reg_frm .= "<input type='hidden' name='groupid' value='".$this->groupid."'/>";
			$goal_satis_reg_frm .= "</form>";



		}

		$this->goal_satis_reg_frm = $goal_satis_reg_frm;
		return true;
	}

	function setSatisDataExe ($post_data, $tea_id) {

		global $xoopsDB;
		if (!is_array($post_data) || !is_numeric($tea_id) || !is_numeric($this->uid)) {
			$this->err_msg = "Parameter Error";
			return false;
		}

		if (isset($post_data["up_motive_id"]) && is_array($post_data["up_motive_id"])) {
//ǡι
			foreach ($post_data["up_motive_id"] as $up_id) {
				if (!isset($post_data["points_".$up_id]) || !is_numeric($post_data["points_".$up_id])
		|| !isset($post_data["satis_comment_".$up_id])) {
					$this->err_msg = "Input data error";
					return false;
				}

				$sql = "UPDATE ".MOTIVE_SAT_GT_TBL." SET ";
				$sql .= "points ='".intval($post_data["points_".$up_id])."', satis_comment='";
				$sql .= mysql_real_escape_string($post_data["satis_comment_".$up_id])."', update_time=now()";

				if (is_numeric($up_id)) {
					$sql .= " WHERE groupid=".$this->groupid." AND student_id=".$this->uid." AND tea_id =".$tea_id;
					$sql .= " AND is_text=0 AND motive_id='".intval($up_id)."'";
				} else if ($up_id == "lec_original") {
					//ֵȼ
					$sql .= " WHERE groupid=".$this->groupid." AND student_id=".$this->uid." AND tea_id =".$tea_id;
					$sql .= " AND is_text=1";
				} else if ($up_id == "user_original") {
					//ּȼ
					$sql .= " WHERE groupid=".$this->groupid." AND student_id=".$this->uid." AND tea_id =".$tea_id;
					$sql .= " AND is_text=2";
				} else {
					$this->err_msg ="Parameter Error motive_id";
					return false;
				}

				if (!$xoopsDB->query($sql)) {
					$this->err_msg = "SQL Error ".$sql;

					return false;
				}

			}
		}

		if (isset($post_data["ins_motive_id"]) && is_array($post_data["ins_motive_id"])) {
//ǡο

			foreach ($post_data["ins_motive_id"] as $ins_id) {
				if (!isset($post_data["points_".$ins_id]) || !is_numeric($post_data["points_".$ins_id])
				|| !isset($post_data["satis_comment_".$ins_id])) {
					$this->err_msg = "Input data error";
					return false;
				}
				$sql = "INSERT INTO ".MOTIVE_SAT_GT_TBL." (student_id, groupid, points, tea_id, motive_id, ";
				$sql .= "is_text, satis_comment, create_time) VALUES (";
				$sql .= $this->uid.",".$this->groupid.",".$post_data["points_".$ins_id].",".$tea_id.",";

				if (is_numeric($ins_id)) {
					$sql.= $ins_id.", 0, '";

				} else if ($ins_id == "lec_original")  {
					$sql.= "null, 1, '";
				} else if ($ins_id == "user_original") {
					$sql.= "null, 2, '";
				} else {
					$this->err_msg ="Parameter Error motive_id";
					return false;
				}
				$sql .= mysql_real_escape_string($post_data["satis_comment_".$ins_id])."', now())";

				if (!$xoopsDB->query($sql)) {
					$this->err_msg = "SQL Error ".$sql;

					return false;
				}
			}
		}

		return true;

	}


	function getGoalSatisRegFrm () {
		return $this->goal_satis_reg_frm;
	}

}


class CClassMemberPerSubj {
	//饹СܤȤ

	var $sub_list_arr = array();
	var $groupid;
	var $err_msg="";
	var $mem_set_form= "";
	var $mem_name_arr = array();

	function CClassMemberPerSubj () {

	}

	function main ($groupid,$action_link,$gname) {

		$this->groupid = $groupid;
		$this->setSubListArr();
		if (!$this->setMemNameArr() || !$this->setMemSetForm($action_link, $gname)) {
			return false;
		}

		return true;

	}

	function getErrMsg () {
		return $this->err_msg;
	}

	function setSubListArr () {
		//ܤȤΥСꥹ

		$sub_list_arr = array();
		$err_msg="";

		if (!is_numeric($this->groupid)) {
			$err_msg = "Parameter Error Groupid<br/>";
		} else {

			global $xoopsDB;

			$sql = "SELECT st.subject_name, st.subject_id FROM ".SUBJECT_GROUP_LINK_TBL." AS sglt, ".SUBJECT_TBL." AS st  WHERE  ";
			$sql .= "sglt.subject_id=st.subject_id AND sglt.groupid=".$this->groupid;

			$res = $xoopsDB->query($sql);
			while ($row = $xoopsDB->fetchArray($res)) {
				$sub_list_arr[$row["subject_id"]] = $row["subject_name"];
			}
		}

		$this->err_msg = $err_msg;
		$this->sub_list_arr = $sub_list_arr;
	}

	function getSubListArr () {
		return $this->sub_list_arr;
	}

	function setMemNameArr () {
		//ID򥭡ȤС̾ץ

		if (!is_numeric($this->groupid)) {
			$this->err_msg .= "Parameter Error Groupid";
			return false;
		}

		global $xoopsDB;
		//ե꡼ȤȤζͭڤؤȤɽ
		//ڤؤȤΤϥ롼ϿǤΤǡregisted_classѾʤ
		$no_subj_mem_arr= array();

		//ܤꤵƤʤregisted_classʤ桼ꤹ뤿
		//롼ץС
		$sql = "SELECT uid FROM ".CLASS_SU_TBL." WHERE groupid = '".$this->groupid."'";
		$res = $xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			array_push($no_subj_mem_arr, $row["uid"]);
		}

		$mem_name_arr =array();

		$sql = "SELECT ut.uname, ut.name, ut.uid, rct.subject_id, glt.linkid FROM ".USER_TBL." AS ut LEFT JOIN ";
		$sql .= GU_LINK_TBL." AS glt ON ut.uid = glt.uid LEFT JOIN ".REGISTED_CLASS_TBL." AS rct ON ";
		$sql .= "rct.group_user_link = glt.linkid WHERE glt.groupid='".$this->groupid."'";

		$res = $xoopsDB->query($sql);

		while ($row = $xoopsDB->fetchArray($res)) {
			$subject_id = $row["subject_id"];
			if ($row["subject_id"] == "" || is_null($row["subject_id"])) $subject_id=0;
			if (!isset($mem_name_arr[$subject_id])) {
				$mem_name_arr[$subject_id] = "";
			}

			$mem_name_arr[$subject_id] .= "<OPTION value='".$row["uid"].",".$row["linkid"]."'>";

			//2018/2/24edit
			//$mem_name_arr[$subject_id] .= htmlspecialchars($row["uname"],3)."</OPTION>\n";
			$mem_name_arr[$subject_id] .= htmlspecialchars($row["uname"],3);

			if (in_array($row["uid"], $no_subj_mem_arr) && $subject_id ==0) {
				$mem_name_arr[$subject_id] .= "("._MI_A_SOLOMON_COMMON_ONLYSUB_NOTSET.")";
			}

			$mem_name_arr[$subject_id] .= "</OPTION>\n";
		}


		$this->mem_name_arr=$mem_name_arr;
		return true;

	}

	function setMemSetForm ($action_link, $gname) {
		//ܤȤ˥Сꤹ뤿Υե
		$mem_set_form = "";

		if (count($this->sub_list_arr) == 0 || count($this->mem_name_arr) == 0) {
			return false;
		}

		$mem_set_form = "<table border=1><tr>";

		$header = "";
		$second_line="";

		foreach($this->sub_list_arr as $subject_id=>$subject_name) {
/*
			if (!isset($this->mem_name_arr[$subject_id])) {
				$this->err_msg = "Data Error Member List";
				return false;
			}
*/
			$mem_set_form .= "<th colspan=3>".htmlspecialchars($subject_name,3)."</th>";

			$header .= "<td>"._MI_A_SOLOMON_NOT_REGISTED."</td><td><br/></td><td>"._MI_A_SOLOMON_ARLEADY_REG."</td>";

			$second_line .= "<td><form method='post' name='tosetform' action='".htmlspecialchars($action_link,3);
			$second_line .="?g_id=".$this->groupid."&name=".htmlspecialchars($gname,3)."";
			$second_line .= "'><input type='hidden' name='add' value='1'/><SELECT NAME='reg_student_sel[]' multiple>";

			$second_line .= $this->mem_name_arr[0];

			$second_line .= "</SELECT></td>";

			$second_line .= "<td align='center'><input type='hidden' name='subject_id' value='".intval($subject_id)."'/>";
			$second_line .= "<input type='submit' value='ADD -->'></form>";
			$second_line .= "<form method='post' name='todelform' action='".htmlspecialchars($action_link,3);
			$second_line .="?g_id=".$this->groupid."&name=".htmlspecialchars($gname,3);
			$second_line .= "'><input type='submit' value='<-- DEL'></td><td><input type='hidden' name='del' value='1'/><SELECT NAME='del_student_sel[]' multiple>";

			if (isset($this->mem_name_arr[$subject_id])) {
				$second_line .= $this->mem_name_arr[$subject_id];
			}

			//2016/9/19

			$second_line .= "</SELECT><input type='hidden' name='subject_id' value='".intval($subject_id)."'/></form></td>";

		}
		$mem_set_form .="</tr>";
		$mem_set_form .="<tr>".$header."</tr>";
		$mem_set_form .= "<tr>".$second_line."</tr>";

		$mem_set_form .= "</table>";



		$this->mem_set_form = $mem_set_form;
		return true;
	}

	function getMemSetForm () {

		return $this->mem_set_form;
	}

}

class CCheckMotiveSatisGroup {
	/*롼ɾΥǡ뤫ɤå륯饹
	 *
	 */

	var $group_list="";

	var $subject_group_name_arr =array();
	var $motive_satis_group_arr = array();
	var $eval_group_arr = array();


	var $uid = "";
	var $err_msg="";

	function CCheckMotiveSatisGroup () {

	}


	function main ($uid) {



		if (!is_numeric($uid)) {


			return false;
		}
		$this->uid = $uid;
		$this->setMotiveSatisGroupArr();
		$this->setEvalGroupArr();

		return true;
	}

	function getErrMsg () {
		return $this->err_msg;
	}



	function setGroupList ($link_file) {
		//ֽλιֵ
		global $xoopsDB;

		$group_list="";

/*
		$startdate = substr($row["start_mon"],0,4)."-".substr($row["start_mon"],4,2)."-01";
		$starttime = "'".$startdate." 00:00:00'";
		$endtime = "'".date("Y-m-d", strtotime($startdate."+".$row["period"]." week"))." 00:00:00'";
*/
		$sql = "SELECT st.subject_name, gt.name AS gname, gt.groupid, st.subject_id FROM ";
		$sql .= SUBJECT_TBL." AS st, ".SUBJECT_GROUP_LINK_TBL." AS sglt, ".CLASS_TBL." AS gt,".CLASS_SU_TBL." AS cst WHERE ";

		$sql .= "st.subject_id = sglt.subject_id AND sglt.groupid = gt.groupid AND cst.groupid = gt.groupid AND ";

		$sql .= "sglt.start_mon < DATE_FORMAT( DATE_ADD( NOW(), INTERVAL - sglt.period WEEK ) , '%Y%m' )";

		$sql .= " AND cst.uid='".intval($this->uid)."'";

		$res = $xoopsDB->query($sql);

		$i=0;

		while ($row = $xoopsDB->fetchArray($res)) {

			if (in_array($row["groupid"], $this->motive_satis_group_arr) || in_array($row["groupid"], $this->eval_group_arr)) {
				continue;
			}
			$group_list .= "<tr";

			if ($i%2==0)  $group_list .= " bgcolor='lightgrey'";

			$group_list .="><td>";

			$group_list .= "<a href='".htmlspecialchars($link_file,3)."?groupid=";
			$group_list .= $row["groupid"]."&subject_id=".$row["subject_id"]."'>";
			$group_list .= htmlspecialchars($row["subject_name"],3)."(";
			$group_list .= htmlspecialchars($row["gname"],3).")</a></td></tr>";

			$i++;


		}

		if ($group_list <> "") {
			$group_list = "<hr/><font color='red'><h3>"._MI_U_SOLOMON_COMMON_NOTCHECKED_LEC_LIST." >></h3></font><table>".$group_list;
			$group_list .= "</table><hr/>";
		}



		$this->group_list = $group_list;

	}

	function setMotiveSatisGroupArr () {
		$motive_satis_group_arr = array();
		global $xoopsDB;

		$sql = "SELECT groupid FROM ".MOTIVE_SAT_GROUP_TBL." WHERE uid='".intval($this->uid)."'";
		$res = $xoopsDB->query($sql);

		while ($row = $xoopsDB->fetchArray($res)) {
			array_push($motive_satis_group_arr, $row["groupid"]);

		}

		$this->motive_satis_group_arr = $motive_satis_group_arr;

	}

	function setEvalGroupArr () {
		$eval_group_arr = array();
		global $xoopsDB;

		$sql = "SELECT groupid FROM ".EVAL_GROUP_TBL." WHERE uid ='".intval($this->uid)."'";
		$res = $xoopsDB->query($sql);

		while ($row = $xoopsDB->fetchArray($res)) {
			array_push($eval_group_arr, $row["groupid"]);

		}

		$this->eval_group_arr=$eval_group_arr;
	}




	function getGroupList () {

		return $this->group_list;
	}


}

class CMotiveCheckerUser {
	/*ư­줿å륯饹
	 *
	 */


	var $motive_list = "";
	var $uid;
	var $groupid = "";
	var $err_msg="";
	var $motive_satis_arr = array();
	var $subject_id;

	//2017/1/4add
	var $motive_satis_tea_arr=array();


	function CMotiveCheckerUser () {}


	function main ($uid, $groupid, $subject_id ="") {

		if (!is_numeric($uid)) {
			$this->err_msg = "Parameter Error UID";
			return false;
		}
		if (!is_numeric($groupid)) {
			$this->err_msg = "Parameter Error GID";
			return false;
		}
		if (!is_numeric($subject_id) && $subject_id <> "") {
			$this->err_msg ="Parameter Error SubjectID";
			return false;
		}


		$this->uid = $uid;
		$this->groupid = $groupid;
		$this->subject_id = $subject_id;

		//$this->setMotiveSatisArr();



		return true;

	}

	function getErrMsg () {

		return $this->err_msg;
	}

	function setMotiveSatisArr () {
		$motive_satis_arr = array();
		global $xoopsDB;

		$sql = "SELECT * FROM ".MOTIVE_SAT_GROUP_TBL." WHERE uid =".intval($this->uid);
		$sql .=" AND groupid=".intval($this->groupid);

		$res = $xoopsDB->query($sql);

		while ($row = $xoopsDB->fetchArray($res)) {

			$motive_satis_arr[$row["is_text"]][$row["motive_id"]] = $row;
		}

		$this->motive_satis_arr = $motive_satis_arr;

	}

	function setMotiveSatisTeaArr () {
		//2017/1/4add ɾ
		$motive_satis_tea_arr = array();
		global $xoopsDB;

		$sql = "SELECT * FROM ".MOTIVE_SAT_GT_TBL." WHERE student_id=".intval($this->uid);
		$sql .= " AND groupid=".intval($this->groupid);

		$res = $xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			$motive_satis_tea_arr[$row["is_text"]][$row["motive_id"]] = $row;
		}
		//var_dump($motive_satis_tea_arr);
		$this->motive_satis_tea_arr = $motive_satis_tea_arr;
	}

	function setMotiveList ($link_file) {
		$motive_list = "";

		global $xoopsDB;

		$sql="SELECT  mt.motive_id, mt.motive_text FROM ".MOTIVE_TBL." AS mt, ".USER_MOTIVE_TBL." AS umt ";
		$sql .= "WHERE umt.motive_id = mt.motive_id AND umt.uid = ".intval($this->uid);
		$sql .= " UNION SELECT mt.motive_id, mt.motive_text FROM ".MOTIVE_TBL." AS mt, ".LEC_MOTIVE_TBL." AS lmt ";
		$sql .= "WHERE lmt.motive_id = mt.motive_id AND lmt.groupid=".intval($this->groupid);
//echo $sql."<br/>";
		$res = $xoopsDB->query($sql);

		$pulldown_obj = new FivePullDown();
//		$pulldown_obj->setSelName("motive_satis");
		$pulldown_obj->setSelName("motive_satis[]");

//2017/1/4addؤä-
		$motive_list .= "<tr bgcolor='cornflowerblue'><th>"._MI_U_SOLOMON_COMMON_MOTIVE_NAME;
		$motive_list .= "</th><th>"._MI_U_SOLOMON_COMMON_EVAL_SATIS_GOAL_SELF;
		$motive_list .= "</th><th>"._MI_U_SOLOMON_COMMON_EVAL_SATIS_GOAL_TEA;

		$motive_list .= "</th><th>"._MI_U_SOLOMON_COMMON_COMMENT;
		$motive_list .= "</th></tr>";

		$i=0;
		while ($row = $xoopsDB->fetchArray($res)) {

			$i++;
			$motive_list .= "<tr";
			if ($i%2==0) $motive_list .= " bgcolor='lightgrey'";
			$motive_list .= "><td>".htmlspecialchars($row["motive_text"],3)."</td><td>";
//			$motive_list .= "<form name='motive_satis_frm' action='";
//			$motive_list .= htmlspecialchars($link_file,3)."'>";

//			$motive_list .= "<input type='hidden' name='motive_set_flag' value='";
			$motive_list .= "<input type='hidden' name='motive_set_flag[]' value='";

			$eval="";
			if (isset($this->motive_satis_arr[0][$row["motive_id"]]) &&
				isset($this->motive_satis_arr[0][$row["motive_id"]]["eval"])) {
				$eval = $this->motive_satis_arr[0][$row["motive_id"]]["eval"];
				$motive_list .= "update'/>";
			} else {
				$motive_list .= "insert'/>";
			}

			$motive_list .= "<input type='hidden' name='motive_id[]' value='".$row["motive_id"]."'/>";

			$motive_list .= "<input type='hidden' name='is_text[]' value='0'/>";

			$pulldown_obj->setSelected($eval);

			$motive_list .= $pulldown_obj->getPullDown();
			//2017/1/4add ɾ
			$motive_list.="</td><td>";
			if (isset($this->motive_satis_tea_arr[0][$row["motive_id"]]) &&
			isset($this->motive_satis_tea_arr[0][$row["motive_id"]]["points"])) {
				$motive_list .= $this->motive_satis_tea_arr[0][$row["motive_id"]]["points"];
				$motive_list .= "</td><td>";
				$motive_list .= nl2br(htmlspecialchars($this->motive_satis_tea_arr[0][$row["motive_id"]]["satis_comment"],3))."<br/>";
			} else {
				$motive_list .="<br/></td><td><br/>";
			}

			$motive_list .= "</td></tr>";
			//$motive_list .= "</td></tr>";
		}

		//ͳҤιܥ롼
		$sql = "SELECT * FROM ".LEC_MOTIVE_TEXT_TBL." WHERE groupid = ".intval($this->groupid)." AND motive_text <> ''";
		$res=$xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			$i++;
			$motive_list .= "<tr";
			if ($i%2==0) $motive_list .= " bgcolor='lightgrey'";
			$motive_list .= "><td>".htmlspecialchars($row["motive_text"],3)."</td><td>";
//			$motive_list .= "<form name='motive_satis_frm' action='";
//			$motive_list .= htmlspecialchars($link_file,3)."'>";
			//$motive_list .= "<input type='hidden' name='motive_set_flag' value='";
			$motive_list .= "<input type='hidden' name='motive_set_flag[]' value='";

			$eval="";
			if (isset($this->motive_satis_arr[2][0]) &&
			isset($this->motive_satis_arr[2][0]["eval"])) {
				$eval = $this->motive_satis_arr[2][0]["eval"];
				$motive_list .= "update'/>";
			} else {
				$motive_list .= "insert'/>";
			}

			$motive_list .= "<input type='hidden' name='motive_id[]' value='0'/>";

			$motive_list .= "<input type='hidden' name='is_text[]' value='2'/>";

			$pulldown_obj->setSelected($eval);

			$motive_list .= $pulldown_obj->getPullDown();

//			$motive_list .= "</td><td><input type='submit' value='"._MI_U_SOLOMON_COMMON_SET;
//			$motive_list .= "'/></form></td></tr>";
//			$motive_list .= "</td></tr>";
			//2017/1/4add ɾ
			$motive_list.="<br/></td><td>";

			if (isset($this->motive_satis_tea_arr[2][null]) &&
			isset($this->motive_satis_tea_arr[2][null]["points"])) {
				$motive_list .= $this->motive_satis_tea_arr[2][null]["points"];
				$motive_list .= "</td><td>";
				$motive_list .= nl2br(htmlspecialchars($this->motive_satis_tea_arr[2][null]["satis_comment"],3))."<br/>";
			} else {
				$motive_list .="<br/></td><td><br/>";
			}


			$motive_list .= "</td></tr>";

		}
		//ͳҤιܸĿ
		$sql = "SELECT * FROM ".USER_MOTIVE_TEXT_TBL." WHERE uid=".$this->uid." AND motive_text<>''";
		$res = $xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			$i++;
			$motive_list .= "<tr";
			if ($i%2==0) $motive_list .= " bgcolor='lightgrey'";
			$motive_list .= "><td>".htmlspecialchars($row["motive_text"],3)."</td><td>";
//			$motive_list .= "<form name='motive_satis_frm' action='";
//			$motive_list .= htmlspecialchars($link_file,3)."'>";
//			$motive_list .= "<input type='hidden' name='motive_set_flag' value='";
			$motive_list .= "<input type='hidden' name='motive_set_flag[]' value='";

			$eval="";
			if (isset($this->motive_satis_arr[1][0]) &&
			isset($this->motive_satis_arr[1][0]["eval"])) {
				$eval = $this->motive_satis_arr[1][0]["eval"];
				$motive_list .= "update'/>";
			} else {
				$motive_list .= "insert'/>";
			}

			$motive_list .= "<input type='hidden' name='motive_id[]' value='0'/>";
			$motive_list .= "<input type='hidden' name='is_text[]' value='1'/>";

			$pulldown_obj->setSelected($eval);

			$motive_list .= $pulldown_obj->getPullDown();

//			$motive_list .= "</td><td><input type='submit' value='"._MI_U_SOLOMON_COMMON_SET;
//			$motive_list .= "'/></form></td></tr>";
//			$motive_list .= "</td></tr>";
			//2017/1/4add ɾ
			$motive_list.="<br/></td><td>";

			if (isset($this->motive_satis_tea_arr[1][null]) &&
			isset($this->motive_satis_tea_arr[1][null]["points"])) {
				$motive_list .= $this->motive_satis_tea_arr[1][null]["points"];
				$motive_list .= "</td><td>";
				$motive_list .= nl2br(htmlspecialchars($this->motive_satis_tea_arr[1][null]["satis_comment"],3))."<br/>";
			} else {
				$motive_list .="<br/></td><td><br/>";
			}


			$motive_list .= "</td></tr>";
		}

		if ($motive_list <> "") {
			$motive_list = "<hr/><table><caption>"._MI_U_SOLOMON_MOTIVE_SATIS_FRM_TBL."</caption>".$motive_list."</table>";


			$motive_list = "<form action='".htmlspecialchars($link_file,3)."'>".$motive_list;
			$motive_list .= "<br/><center><input type='submit' value='"._MI_U_SOLOMON_COMMON_SET;
			$motive_list .="'/></center>";
			$motive_list .= "<input type='hidden' name='groupid' value='".intval($this->groupid)."'/>";
			$motive_list .= "<input type='hidden' name='uid' value='".intval($this->uid)."'/>";
			$motive_list .= "<input type='hidden' name='subject_id' value='".intval($this->subject_id)."'/>";
			$motive_list .= "</form><hr/>";

		}

		$this->motive_list = $motive_list;

	}

	function getMotiveList () {

		return $this->motive_list;
	}

	function setMotiveSatis ($eval, $motive_id,$motive_set_flag,$is_text=0) {

		$err_msg = "";
		if (!is_numeric($eval)) {
			$err_msg .= "Parameter Error Eval<br/>";
		}
		if (!is_numeric($motive_id)) {
			$err_msg .= "Parameter Error Motive<br/>";
		}
		if (!is_numeric($this->uid)) {
			$err_msg .= "Parameter Error Uid<br/>";
		}
		if (!is_numeric($this->groupid)) {
			$err_msg .= "Parameter Error Groupid<br/>";
		}
		if ($is_text <> 0 && $is_text <> 1 && $is_text <> 2) {
			$err_msg .= "Parameter Error ISTEXT <br/>";
		}

		$sql = "";

		if ($motive_set_flag == "update") {
			$sql = "UPDATE ".MOTIVE_SAT_GROUP_TBL." SET eval =".$eval.", update_time=now() WHERE ";
			$sql .="groupid = ".$this->groupid." AND uid=".$this->uid." AND motive_id=".$motive_id;

		} else if ($motive_set_flag == "insert") {
			$sql = "INSERT INTO ".MOTIVE_SAT_GROUP_TBL." (uid, groupid, motive_id, eval,is_text, create_time) VALUES(";
			$sql .= $this->uid.",".$this->groupid.",".$motive_id.",".$eval.",".$is_text.",now())";

		} else {
			$err_msg .= "Parater Error Motive Set Flag<br/>";
		}

		if ($err_msg <> "") {
			$this->err_msg .= $err_msg;
			return false;

		}

		global $xoopsDB;
		if (!$xoopsDB->queryF($sql)) {
			$this->err_msg .= "SQL ERROR BY EXE";
			return false;

		}

		return true;
	}

}

class CMotiveCheckerTeacher {
	/*ư­줿å륯饹
	 *
	*/


	var $motive_list = "";
	var $uid;
	var $groupid = "";
	var $err_msg="";
	var $motive_satis_arr = array();
	var $subject_id;

	var $motive_satis_tea_arr = array();

	function CMotiveCheckerTeacher () {}


	function main ($uid, $groupid, $subject_id ="") {

		if (!is_numeric($uid)) {
			$this->err_msg = "Parameter Error UID";
			return false;
		}
		if (!is_numeric($groupid)) {
			$this->err_msg = "Parameter Error GID";
			return false;
		}
		if (!is_numeric($subject_id) && $subject_id <> "") {
			$this->err_msg ="Parameter Error SubjectID";
			return false;
		}


		$this->uid = $uid;
		$this->groupid = $groupid;
		$this->subject_id = $subject_id;

		//$this->setMotiveSatisArr();



		return true;

	}

	function getErrMsg () {

		return $this->err_msg;
	}

	function setMotiveSatisArr () {
		$motive_satis_arr = array();
		global $xoopsDB;

		$sql = "SELECT * FROM ".MOTIVE_SAT_GROUP_TBL." WHERE uid =".intval($this->uid);
		$sql .=" AND groupid=".intval($this->groupid);

		$res = $xoopsDB->query($sql);

		while ($row = $xoopsDB->fetchArray($res)) {

			$motive_satis_arr[$row["is_text"]][$row["motive_id"]] = $row;
		}

	//	var_dump($motive_satis_arr);

		$this->motive_satis_arr = $motive_satis_arr;

	}

	function setMotiveSatisTeaArr () {
		//2017/1/4add ɾ
		$motive_satis_tea_arr = array();
		global $xoopsDB;

		$sql = "SELECT * FROM ".MOTIVE_SAT_GT_TBL." WHERE student_id=".intval($this->uid);
		$sql .= " AND groupid=".intval($this->groupid);

		$res = $xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			$motive_satis_tea_arr[$row["is_text"]][$row["motive_id"]] = $row;
		}
//var_dump($motive_satis_tea_arr);
		$this->motive_satis_tea_arr = $motive_satis_tea_arr;
	}

	function setMotiveList ($link_file) {
		$motive_list = "";

		global $xoopsDB;

		$sql="SELECT  mt.motive_id, mt.motive_text FROM ".MOTIVE_TBL." AS mt, ".USER_MOTIVE_TBL." AS umt ";
		$sql .= "WHERE umt.motive_id = mt.motive_id AND umt.uid = ".intval($this->uid);
		$sql .= " UNION SELECT mt.motive_id, mt.motive_text FROM ".MOTIVE_TBL." AS mt, ".LEC_MOTIVE_TBL." AS lmt ";
		$sql .= "WHERE lmt.motive_id = mt.motive_id AND lmt.groupid=".intval($this->groupid);

		$res = $xoopsDB->query($sql);

		//$pulldown_obj = new FivePullDown();
		//		$pulldown_obj->setSelName("motive_satis");
		//$pulldown_obj->setSelName("motive_satis[]");

			$motive_list .= "<tr bgcolor='cornflowerblue'><th>"._MI_U_SOLOMON_COMMON_MOTIVE_NAME;
			$motive_list .= "</th><th>"._MI_U_SOLOMON_COMMON_EVAL_SATIS_GOAL_SELF;
			$motive_list .= "</th><th>"._MI_U_SOLOMON_COMMON_EVAL_SATIS_GOAL_TEA;

			$motive_list .= "</th><th>"._MI_U_SOLOMON_COMMON_COMMENT;
			$motive_list .= "</th></tr>";

			$i=0;
			while ($row = $xoopsDB->fetchArray($res)) {
				$i++;
				$motive_list .= "<tr";
				if ($i%2==0) $motive_list .= " bgcolor='lightgrey'";
				$motive_list .= "><td>".htmlspecialchars($row["motive_text"],3)."</td><td>";
				/*
				$motive_list .= "<input type='hidden' name='motive_set_flag[]' value='";

				$eval="";
				if (isset($this->motive_satis_arr[0][$row["motive_id"]]) &&
				isset($this->motive_satis_arr[0][$row["motive_id"]]["eval"])) {
					$eval = $this->motive_satis_arr[0][$row["motive_id"]]["eval"];
					$motive_list .= "update'/>";
				} else {
					$motive_list .= "insert'/>";
				}

				$motive_list .= "<input type='hidden' name='motive_id[]' value='".$row["motive_id"]."'/>";

				$motive_list .= "<input type='hidden' name='is_text[]' value='0'/>";

				$pulldown_obj->setSelected($eval);

				$motive_list .= $pulldown_obj->getPullDown();
				*/

				if (isset($this->motive_satis_arr[0][$row["motive_id"]]) &&
				isset($this->motive_satis_arr[0][$row["motive_id"]]["eval"])) {
					$motive_list .= $this->motive_satis_arr[0][$row["motive_id"]]["eval"];

				}

				//2017/1/4add ɾ
				$motive_list.="<br/></td><td>";
				if (isset($this->motive_satis_tea_arr[0][$row["motive_id"]]) &&
				isset($this->motive_satis_tea_arr[0][$row["motive_id"]]["points"])) {
					$motive_list .= $this->motive_satis_tea_arr[0][$row["motive_id"]]["points"];
					$motive_list .= "</td><td>";
					$motive_list .= nl2br(htmlspecialchars($this->motive_satis_tea_arr[0][$row["motive_id"]]["satis_comment"],3))."<br/>";
				} else {
					$motive_list .="<br/></td><td><br/>";
				}

				$motive_list .= "</td></tr>";
			}

			//ͳҤιܥ롼
			$sql = "SELECT * FROM ".LEC_MOTIVE_TEXT_TBL." WHERE groupid = ".intval($this->groupid)." AND motive_text <> ''";
			$res=$xoopsDB->query($sql);
			while ($row = $xoopsDB->fetchArray($res)) {
				$i++;
				$motive_list .= "<tr";
				if ($i%2==0) $motive_list .= " bgcolor='lightgrey'";
				$motive_list .= "><td>".htmlspecialchars($row["motive_text"],3)."</td><td>";
	/*
				$motive_list .= "<input type='hidden' name='motive_set_flag[]' value='";

				$eval="";
				if (isset($this->motive_satis_arr[2][0]) &&
				isset($this->motive_satis_arr[2][0]["eval"])) {
					$eval = $this->motive_satis_arr[2][0]["eval"];
					$motive_list .= "update'/>";
				} else {
					$motive_list .= "insert'/>";
				}
				$motive_list .= "<input type='hidden' name='motive_id[]' value='0'/>";

				$motive_list .= "<input type='hidden' name='is_text[]' value='2'/>";

				$pulldown_obj->setSelected($eval);

				$motive_list .= $pulldown_obj->getPullDown();
	*/
				if (isset($this->motive_satis_arr[2][0]) &&
				isset($this->motive_satis_arr[2][0]["eval"])) {
					$motive_list .= $this->motive_satis_arr[2][0]["eval"];

				}

				//2017/1/4add ɾ
				$motive_list.="<br/></td><td>";

				if (isset($this->motive_satis_tea_arr[2][null]) &&
				isset($this->motive_satis_tea_arr[2][null]["points"])) {
					$motive_list .= $this->motive_satis_tea_arr[2][null]["points"];
					$motive_list .= "</td><td>";
					$motive_list .= nl2br(htmlspecialchars($this->motive_satis_tea_arr[2][null]["satis_comment"],3))."<br/>";
				} else {
					$motive_list .="<br/></td><td><br/>";
				}


				$motive_list .= "</td></tr>";


			}
			//ͳҤιܸĿ
			$sql = "SELECT * FROM ".USER_MOTIVE_TEXT_TBL." WHERE uid=".$this->uid." AND motive_text<>''";
			$res = $xoopsDB->query($sql);
			while ($row = $xoopsDB->fetchArray($res)) {
				$i++;
				$motive_list .= "<tr";
				if ($i%2==0) $motive_list .= " bgcolor='lightgrey'";
				$motive_list .= "><td>".htmlspecialchars($row["motive_text"],3)."</td><td>";
	/*
				$motive_list .= "<input type='hidden' name='motive_set_flag[]' value='";

				$eval="";
				if (isset($this->motive_satis_arr[1][0]) &&
				isset($this->motive_satis_arr[1][0]["eval"])) {
					$eval = $this->motive_satis_arr[1][0]["eval"];
					$motive_list .= "update'/>";
				} else {
					$motive_list .= "insert'/>";
				}
				$motive_list .= "<input type='hidden' name='motive_id[]' value='0'/>";
				$motive_list .= "<input type='hidden' name='is_text[]' value='1'/>";

				$pulldown_obj->setSelected($eval);

				$motive_list .= $pulldown_obj->getPullDown();
	*/
				if (isset($this->motive_satis_arr[1][0]) &&
				isset($this->motive_satis_arr[1][0]["eval"])) {
					$motive_list .= $this->motive_satis_arr[1][0]["eval"];
				}

				//2017/1/4add ɾ
				$motive_list.="<br/></td><td>";

				if (isset($this->motive_satis_tea_arr[1][null]) &&
				isset($this->motive_satis_tea_arr[1][null]["points"])) {
					$motive_list .= $this->motive_satis_tea_arr[1][null]["points"];
					$motive_list .= "</td><td>";
					$motive_list .= nl2br(htmlspecialchars($this->motive_satis_tea_arr[1][null]["satis_comment"],3))."<br/>";
				} else {
					$motive_list .="<br/></td><td><br/>";
				}


				$motive_list .= "</td></tr>";

			}

		if ($motive_list <> "") {
			$motive_list = "<hr/><table><caption>"._MI_U_SOLOMON_MOTIVE_SATIS_FRM_TBL."</caption>".$motive_list."</table>";


			$motive_list .= "<hr/>";

		}

		$this->motive_list = $motive_list;

	}

	function getMotiveList () {

		return $this->motive_list;
	}


}

class CRecommendListMaker {
	//쥳ɤΥꥹȤ륯饹
	var $negative_csv="";
	var $rec_list="";
	var $err_msg="";
	var $uid;
	var $subject_id;

	function CRecommendListMaker () {

	}

	function setUid ($uid) {
		if (!is_numeric($uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}

		$this->uid=$uid;
		return true;
	}

	function setNegativeCsv () {
		if (!is_numeric($this->uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}
		$already_gotten_csv="";

		global $xoopsDB;

		$sql = "SELECT rct.subject_id FROM ".REGISTED_CLASS_TBL." AS rct, ".CREDIT_TBL." AS ct WHERE ";
		$sql .= " ct.credit_id = rct.get_credit AND ct.is_pass=1 AND rct.uid = ".$this->uid;
		$res=$xoopsDB->query($sql);

//		echo $sql."<br/>";

		while ($row = $xoopsDB->fetchArray($res)) {
			$already_gotten_csv .= intval($row["subject_id"]).",";
		}

		$already_gotten_csv = substr($already_gotten_csv, 0,-1);

		if (is_numeric($this->subject_id)) {
			$already_gotten_csv .=",".$already_gotten_csv;

		}
		$this->negative_csv = $already_gotten_csv;
		return true;
	}

	function getRecList () {
		return $this->rec_list;
	}
}

class CCreditRecommendListMaker extends CRecommendListMaker {
	//ñ̼˴Ť쥳
	var $subject_id="";
	var $subject_csv="";
	function CCreditRecommendListMaker ($subject_id="") {
		$this->subject_id = $subject_id;

	}

	function setRecommendLecList ($groupid="") {
//١ǤΥ쥳

		if (!is_numeric($this->subject_id) && !$this->setSubjectCsv($groupid)) {
			$this->err_msg .= "Parameter Error Subject ID";
			return false;
		}

		global $xoopsDB;
		$recommend_lec_list = "";


		$sql="SELECT st.subject_name, st.subject_id, gt.name,gt.groupid FROM ";
		$sql.=SUBJECT_TBL." AS st,".CREDIT_LEC_TANIMOTOL_TBL." AS cltt, ".SUBJECT_GROUP_LINK_TBL." AS sglt,".CLASS_TBL." AS gt WHERE ";
		$sql .= "gt.groupid = sglt.groupid AND cltt.subject_id2=sglt.subject_id AND st.subject_id = cltt.subject_id2  ";

		$sql .=" sglt.start_mon <= DATE_FORMAT( NOW() , '%Y%m' ) AND sglt.start_mon > DATE_FORMAT( DATE_ADD( NOW(), INTERVAL - sglt.period WEEK ) , '%Y%m' )";

		if ($this->negative_csv <> "" && (is_numeric($this->negative_csv) || mb_ereg('[0-9]+,[0-9]+', $this->negative_csv))) {
			$sql .= " AND st.subject_id NOT IN (".$this->negative_csv.")";
		}

		if (is_numeric($this->subject_id)) {
			$sql .= " AND cltt.subject_id1 = ".$this->subject_id;
		} else if (is_numeric($this->subject_csv) || mb_ereg('[0-9]+,[0-9]+', $this->subject_csv)) {
			$sql .= "AND cltt.subject_id1 IN (".$this->subject_csv.")";
		} else {
			$this->err_msg = "Parameter Error";
			return false;
		}

		$sql .=" ORDER BY cltt.tanimoto DESC LIMIT 5";

		$res=$xoopsDB->query($sql);
		//echo $sql;
		while ($row = $xoopsDB->fetchArray($res)) {
			$recommend_lec_list .="<td><a href='show_user_lec_data.php?groupid=".$row["groupid"];
			$recommend_lec_list .="'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["name"],3);
			$recommend_lec_list .=")</a></td>";

		}

		if ($recommend_lec_list <> "") {

			$recommend_lec_list = "<table border=1><caption>"._MI_U_SOLOMON_STUDENT_CREDIT_RECOMMEND_LIST2."</caption><tr bgcolor='lightgrey'>".$recommend_lec_list."</tr></table>";
		}

		$this->rec_list = $recommend_lec_list;
		return true;

	}

	function setSubjectCsv ($groupid) {
		if (!is_numeric($groupid)) {
			$this->err_msg = "Parameter Error Groupid";
			return false;
		}
		global $xoopsDB;
		$sub_csv="";
		$sql="SELECT subject_id FROM ".SUBJECT_GROUP_LINK_TBL." WHERE groupid =".$groupid;
		$res=$xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			$sub_csv .= $row["subject_id"].",";
		}
		$sub_csv = substr($sub_csv, 0,-1);
		$this->subject_csv = $sub_csv;
		return true;
	}

	function setRecommendUserList () {
		//桼١ǤΥ쥳

		if (!is_numeric($this->uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}
		global $xoopsDB;
		$recommend_lec_list="";

		$sql = "SELECT st.subject_name, st.subject_id,AVG(cutt.tanimoto) AS av_tani FROM ".SUBJECT_TBL." AS st,".CREDIT_USR_TANIMOTOL_TBL." AS cutt, ";
		$sql .=REGISTED_CLASS_TBL." AS rct WHERE cutt.uid2 = rct.uid AND rct.subject_id = st.subject_id ";

		if ($this->negative_csv <> "" && (is_numeric($this->negative_csv) || mb_ereg('[0-9]+,[0-9]+', $this->negative_csv))) {
			$sql .= " AND st.subject_id NOT IN (".$this->negative_csv.")";
		}

		$sql .= "AND cutt.uid1 =".$this->uid." GROUP BY subject_id, subject_name ORDER BY av_tani DESC";
		$res=$xoopsDB->query($sql);
		$i=0;
		while ($row = $xoopsDB->fetchArray($res)) {
			$sql2 = "SELECT gt.name, gt.groupid FROM ".CLASS_TBL." AS gt, ".SUBJECT_GROUP_LINK_TBL." AS sglt WHERE ";
			$sql2 .= "gt.groupid = sglt.groupid AND sglt.subject_id = ".$row["subject_id"];
			$sql2 .= " AND sglt.start_mon <= DATE_FORMAT( NOW() , '%Y%m' ) AND sglt.start_mon > DATE_FORMAT( DATE_ADD( NOW(), INTERVAL - sglt.period WEEK ) , '%Y%m' )";

			$res2=$xoopsDB->query($sql2);
			while ($row2 = $xoopsDB->fetchArray($res2)) {
				$recommend_lec_list .= "<td><a href='show_user_lec_data.php?groupid=".$row2["groupid"]."'>";
				$recommend_lec_list .=htmlspecialchars($row["subject_name"],3)."(";
				$recommend_lec_list .= htmlspecialchars($row2["name"],3).")</a></td>";
				$i++;

			}
			//嵭޷Τߤɽ
			if ($i>=5) break;
		}


/*
		$sql="SELECT st.subject_name, st.subject_id, gt.name,gt.groupid FROM ";
		$sql.=SUBJECT_TBL." AS st,".CREDIT_USR_TANIMOTOL_TBL." AS cutt, ".SUBJECT_GROUP_LINK_TBL." AS sglt,".CLASS_TBL." AS gt, ";
		$sql .= USER_CREDIT_TBL." AS uct";

		$sql .= " WHERE gt.groupid = sglt.groupid AND cutt.uid2=uct.uid AND uct.subject_id = sglt.subject_id AND st.subject_id = sglt.subject_id AND ";

		$sql .=" sglt.start_mon <= DATE_FORMAT( NOW() , '%Y%m' ) AND sglt.start_mon > DATE_FORMAT( DATE_ADD( NOW(), INTERVAL - sglt.period WEEK ) , '%Y%m' )";

		if ($this->negative_csv <> "" && (is_numeric($this->negative_csv) || mb_ereg('[0-9]+,[0-9]+', $this->negative_csv))) {
			$sql .= " AND st.subject_id NOT IN (".$this->negative_csv.")";
		}

		$sql .= " AND cutt.uid1 = ".$this->uid." ORDER BY cutt.tanimoto DESC LIMIT 5";
		echo $sql;

		$res=$xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			$recommend_lec_list .="<td><a href='show_user_lec_data.php?groupid=".$row["groupid"];
			$recommend_lec_list .="'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["name"],3);
			$recommend_lec_list .=")</a></td>";

		}
		*/

		if ($recommend_lec_list <> "") {

			$recommend_lec_list = "<table border=1><caption>"._MI_U_SOLOMON_STUDENT_CREDIT_RECOMMEND_LIST."</caption><tr bgcolor='lightgrey'>".$recommend_lec_list."</tr></table>";
		}

		$this->rec_list = $recommend_lec_list;
		return true;
	}
}

class CEvalRecommendListMaker extends CRecommendListMaker {
	/*ɾȤ쥳ɽ
	 *
	 */

	function CEvalRecommendListMaker () {
	}

	function setRecommendEvalList () {
		if (!is_numeric($this->uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}
		global $xoopsDB;

		$recommend_eval_list = "";

		$sql = "SELECT st.subject_name, st.subject_id, AVG(elrt.relation) AS avg_relation FROM ".EVAL_LEC_REC_TBL." AS elrt,".SUBJECT_TBL." AS st, ".SUBJECT_GROUP_LINK_TBL." AS sglt ";

		$sql .= "WHERE elrt.groupid = sglt.groupid AND sglt.subject_id = st.subject_id ";
		$sql .= "AND elrt.uid =".$this->uid;

		if ($this->negative_csv <> "" && (is_numeric($this->negative_csv) || mb_ereg('[0-9]+,[0-9]+', $this->negative_csv))) {
			$sql .= " AND st.subject_id NOT IN (".$this->negative_csv.")";
		}

		$sql .=" GROUP BY st.subject_name, st.subject_id ORDER BY avg_relation DESC";

		$res=$xoopsDB->query($sql);

		$i=0;
		while ($row = $xoopsDB->fetchArray($res)) {

			$sql2 = "SELECT gt.name, gt.groupid FROM ".CLASS_TBL." AS gt, ".SUBJECT_GROUP_LINK_TBL." AS sglt WHERE ";
			$sql2 .= "gt.groupid = sglt.groupid AND sglt.subject_id = ".$row["subject_id"];
			$sql2 .= " AND sglt.start_mon <= DATE_FORMAT( NOW() , '%Y%m' ) AND sglt.start_mon > DATE_FORMAT( DATE_ADD( NOW(), INTERVAL - sglt.period WEEK ) , '%Y%m' )";

			$res2=$xoopsDB->query($sql2);
			while ($row2 = $xoopsDB->fetchArray($res2)) {
				$recommend_eval_list .= "<td><a href='show_user_lec_data.php?groupid=".$row2["groupid"]."'>";
				$recommend_eval_list .=htmlspecialchars($row["subject_name"],3)."(";
				$recommend_eval_list .= htmlspecialchars($row2["name"],3).")</a></td>";
				$i++;

			}
			//嵭޷Τߤɽ
			if ($i>=5) break;
		}

		if ($recommend_eval_list <> "") {
			$recommend_eval_list= "<table border=1><caption>"._MI_U_SOLOMON_STUDENT_EVAL_RECOMMEND_LIST."</caption><tr bgcolor='lightgreen'>".$recommend_eval_list."</tr></table>";
		}
		$this->rec_list = $recommend_eval_list;
		return true;

	}
}

class CMachLecRecommendListMaker extends CRecommendListMaker {
	/*
	 * ŪζΤ쥳
	 */

	function CMachLecRecommendListMaker () {
	}

	function setMachLecRecommendList () {
		if (!is_numeric($this->uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}
		global $xoopsDB;
		$mach_lec_recommend_list="";

		$sql = "SELECT st.subject_name, st.subject_id, gt.name, gt.groupid, rmlt.relation FROM ".SUBJECT_TBL." AS st, ";
		$sql .= REC_MAC_LEC_TBL." AS rmlt, ".SUBJECT_GROUP_LINK_TBL." AS sglt, ".CLASS_TBL." AS gt ";
		$sql .="WHERE st.subject_id = sglt.subject_id AND sglt.groupid = gt.groupid AND sglt.groupid=rmlt.groupid AND gt.groupid=rmlt.groupid";

		$sql .= " AND rmlt.uid =".$this->uid;

		$sql .= " AND sglt.start_mon <= DATE_FORMAT( NOW() , '%Y%m' ) AND  sglt.start_mon > DATE_FORMAT( DATE_ADD( NOW(), INTERVAL - sglt.period WEEK ) , '%Y%m' )";

		if ($this->negative_csv <> "" && (is_numeric($this->negative_csv) || mb_ereg('[0-9]+,[0-9]+', $this->negative_csv))) {
			$sql .= " AND st.subject_id NOT IN (".$this->negative_csv.")";
		}


		$sql .= " ORDER BY relation DESC LIMIT 5";

		//echo $sql;
		$res=$xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			$mach_lec_recommend_list .="<td><a href='show_user_lec_data.php?groupid=".$row["groupid"];
			$mach_lec_recommend_list .="'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row["name"],3);
			$mach_lec_recommend_list .=")</a></td>";


		}
		if ($mach_lec_recommend_list <> "") {
			$mach_lec_recommend_list= "<table border=1><caption>"._MI_U_SOLOMON_STUDENT_GOALSIM_RECOMMEND_LIST."</caption><tr bgcolor='lightyellow'>".$mach_lec_recommend_list."</tr></table>";
		}

		$this->rec_list = $mach_lec_recommend_list;
		return true;

	}
}

class CSatisLecRecommendListMaker extends CRecommendListMaker {
	/*
	 * ɸã٤Ȥˤ쥳
	 */

	function CSatisLecRecommendListMaker () {}

	function setSatisLecRecommendList () {
		if (!is_numeric($this->uid)) {
			$this->err_msg = "Parameter Error Uid";
			return false;
		}

		global $xoopsDB;
		$satis_lec_recommend_list = "";

		$sql = "SELECT st.subject_name, st.subject_id, rst.relation FROM ".SUBJECT_TBL." AS st, ";
		$sql .= REC_SATIS_TBL." AS rst, ".SUBJECT_GROUP_LINK_TBL." AS sglt WHERE ";
		$sql .= "st.subject_id = sglt.subject_id AND sglt.groupid = rst.groupid ";
		$sql .= "AND rst.uid =".$this->uid;
		if ($this->negative_csv <> "" && (is_numeric($this->negative_csv) || mb_ereg('[0-9]+,[0-9]+', $this->negative_csv))) {
			$sql .= " AND st.subject_id NOT IN (".$this->negative_csv.")";
		}
		$sql .= " ORDER BY relation DESC";
		$res=$xoopsDB->query($sql);

		$i=0;
		while ($row = $xoopsDB->fetchArray($res)) {

			$sql2 = "SELECT gt.name, gt.groupid FROM ".SUBJECT_GROUP_LINK_TBL." AS sglt, ".CLASS_TBL." AS gt ";
			$sql2 .= "WHERE sglt.subject_id=".$row["subject_id"]." AND gt.groupid= sglt.groupid";
			$sql2 .= " AND sglt.start_mon <= DATE_FORMAT( NOW() , '%Y%m' ) AND sglt.start_mon > DATE_FORMAT( DATE_ADD( NOW(), INTERVAL - sglt.period WEEK ) , '%Y%m' )";
			$res2 = $xoopsDB->query($sql2);
			while ($row2 = $xoopsDB->fetchArray($res2)) {
				$satis_lec_recommend_list .="<td><a href='show_user_lec_data.php?groupid=".$row2["groupid"];
				$satis_lec_recommend_list .="'>".htmlspecialchars($row["subject_name"],3)."(".htmlspecialchars($row2["name"],3);
				$satis_lec_recommend_list .=")</a></td>";
				$i++;
			}
			if ($i>5) break;
		}


/*
		$sql = "SELECT st.subject_name, st.subject_id, gt.name, gt.groupid, rst.relation FROM ".SUBJECT_TBL." AS st, ";
		$sql .= REC_SATIS_TBL." AS rst, ".SUBJECT_GROUP_LINK_TBL." AS sglt, ".CLASS_TBL." AS gt ";
		$sql .="WHERE st.subject_id = sglt.subject_id AND sglt.groupid = gt.groupid AND sglt.groupid=rst.groupid ";

		$sql .= "AND rst.uid =".$this->uid;
		$sql .= " AND sglt.start_mon <= DATE_FORMAT( NOW() , '%Y%m' ) AND sglt.start_mon > DATE_FORMAT( DATE_ADD( NOW(), INTERVAL - sglt.period WEEK ) , '%Y%m' )";
		if ($this->negative_csv <> "" && (is_numeric($this->negative_csv) || mb_ereg('[0-9]+,[0-9]+', $this->negative_csv))) {
			$sql .= " AND st.subject_id NOT IN (".$this->negative_csv.")";
		}
		$sql .= " ORDER BY relation DESC LIMIT 5";
		$res=$xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			$satis_lec_recommend_list .="<td><a href='show_user_lec_data.php?groupid=".$row["groupid"];
			$satis_lec_recommend_list .="'>".htmlspecialchars($row["subject_name"])."(".htmlspecialchars($row["name"]);
			$satis_lec_recommend_list .=")</a></td>";
		}*/
		if ($satis_lec_recommend_list <> "") {
			$satis_lec_recommend_list= "<table border=1><caption>"._MI_U_SOLOMON_STUDENT_GOALSAT_RECOMMEND_LIST."</caption><tr bgcolor='lightyellow'>".$satis_lec_recommend_list."</tr></table>";
		}


		$this->rec_list = $satis_lec_recommend_list;
		return true;
	}

}

class CSimpleRecommendMaker {
	/*
	 * ñ㽸פΥ쥳
	 * ɾʿѤǥ쥳
	 */

	var $recommend_list = "";

	function CSimpleRecommendMaker () {


	}

	function setRecommendList () {
		$recommend_list = "";
		global $xoopsDB;
		$sql = "SELECT sglt.subject_id , AVG(egt.eval) AS avg_eval FROM ";
		$sql .= SUBJECT_GROUP_LINK_TBL." AS sglt, ".EVAL_GROUP_TBL." AS egt ";
		$sql .="WHERE sglt.groupid = egt.groupid GROUP BY subject_id ORDER BY avg_eval DESC";

		$i=0;
		$res=$xoopsDB->query($sql);
		while ($row = $xoopsDB->fetchArray($res)) {
			$sql2 = "SELECT gt.name AS gname, st.subject_name, gt.groupid FROM ".SUBJECT_GROUP_LINK_TBL." AS sglt, ".CLASS_TBL." AS gt, ";
			$sql2 .= SUBJECT_TBL." AS st WHERE sgt.groupid = gt.groupid AND sglt.subject_id= st.subject_id AND st.subject_id =";
			$sql2 .= intval($row["subject_id"])." AND sglt.start_mon <= DATE_FORMAT( NOW() , '%Y%m' ) AND sglt.start_mon > DATE_FORMAT( DATE_ADD( NOW(), INTERVAL - sglt.period WEEK ) , '%Y%m' )";
			$res2=$xoopsDB->query($sql2);
			while ($row2 = $xoopsDB->fetchArray($res2)) {
				$recommend_list .="<td><a href='show_user_lec_data.php?groupid=".$row["groupid"];
				$recommend_list .="'>".htmlspecialchars($row["subject_name"])."(".htmlspecialchars($row["name"]);
				$recommend_list .=")</a></td>";
				$i++;
			}
			if ($i>5) break;
			//ɽ
		}
		if ($recommend_list <> "") {
			$recommend_list= "<table bgcolor='lightyellow'><caption>"._MI_U_SOLOMON_COMMON_HIGH_LIST."</caption><tr>".$recommend_list."</tr></table>";
		}
		$this->recommend_list = $recommend_list;

	}

	function getRecommendList () {
		return $this->recommend_list;
	}


}
?>